<?php

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

$scripts = [];

// Get the Environment.
$dev = (bool) ('dev' === WC_FATTUREGRATIS_INV_ENV);

// Get current lang.
$lang = substr(get_bloginfo('language'), 0, 2);

if (!is_admin()) {
    $scripts = array_merge($scripts, [
        [
            'handle' => 'wc_fatture_gratis_inv_invoice',
            'file' => \WcFattureGratisInvoice\Plugin::getPluginDirUrl('assets/js/invoiceFields.js'),
            'deps' => [],
            'ver' => $dev ? time() : WC_FATTUREGRATIS_INV_VERSION,
            'in_footer' => true,
            'enqueue' => is_account_page() || is_checkout() ?: false,
        ],
    ]);
} else {
    $scripts = array_merge($scripts, [
        [
            'handle' => 'wc_fatture_gratis_inv_admin',
            'file' => \WcFattureGratisInvoice\Plugin::getPluginDirUrl('assets/js/admin.js'),
            'deps' => ['underscore', 'jquery'],
            'ver' => $dev ? time() : WC_FATTUREGRATIS_INV_VERSION,
            'in_footer' => true,
            'enqueue' => true,
        ],

        [
            'handle' => 'wc_fatture_gratis_inv_datepicker',
            'file' => \WcFattureGratisInvoice\Plugin::getPluginDirUrl('assets/js/datePicker.js'),
            'deps' => ['underscore', 'jquery', 'jquery-ui-datepicker'],
            'ver' => $dev ? time() : WC_FATTUREGRATIS_INV_VERSION,
            'in_footer' => true,
            'register' => true,
        ],
    ]);

    // DatePicker Language.
    if (file_exists(\WcFattureGratisInvoice\Plugin::getPluginDirPath("/assets/js/datepicker-lang/datepicker-{$lang}.js"))) {
        $scripts[] = [
            'handle' => 'datepicker-lang',
            'file' => \WcFattureGratisInvoice\Plugin::getPluginDirUrl("/assets/js/datepicker-lang/datepicker-{$lang}.js"),
            'deps' => ['jquery', 'jquery-ui-datepicker'],
            'ver' => $dev ? time() : WC_FATTUREGRATIS_INV_VERSION,
            'in_footer' => true,
            'register' => true,
        ];
    }
}

return apply_filters('wc_fatture_gratis_inv-scripts_list', $scripts);
