<?php

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

$page = \WcFattureGratisInvoice\Admin\Settings\OptionPage::init();
$tabs = $this->tabs;

$active = $this->checkPageTab($tabs);
$section = isset($tabs[$active]['section_id']) ? $tabs[$active]['section_id'] : '';

// Json info.
$mode = sprintf('<code class="wc_fatture_gratis_inv-mode %1$s">MODE: %1$s</code>', WC_FATTUREGRATIS_INV_ENV);
$icon = 'prod' === WC_FATTUREGRATIS_INV_ENV ? '<i class="dashicons dashicons-lock"></i>' : '<i class="dashicons dashicons-unlock"></i>';

$invoiceNumber = $page->getOptions('number_next_invoice');
$invoiceNumberDisabled = isset($invoiceNumber) && '' !== $invoiceNumber ? 'disabled' : '';

$page->setOption('invoice_cert_file', esc_html__('Select certificate file', WC_FATTUREGRATIS_INV_TEXTDOMAIN));

switch ($section) {
    // Invoice
    case 'setting_section_invoice':
        $this->sectionArgs['wc_fatture_gratis_inv_settings'] = [
            'section_id' => 'setting_section_invoice',
            'section_title' => esc_html__('Invoice settings', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
            'section_callback' => '',
            'section_page' => 'wc_fatture_gratis_inv-options-page',
        ];

        $this->fieldsArgs[] = [
            'field_id' => 'section_options_fields',
            'field_title' => esc_html__('Sezionale', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
            'field_callback' => [
                new \WcFattureGratisInvoice\Admin\Settings\Fields\Text([
                    'id' => 'wc_fatture_gratis_inv-settings-section',
                    'name' => 'wc_fatture_gratis_inv-settings-section',
                ], $this, $page),
                'field',
            ],
            'field_page' => $this->sectionArgs['wc_fatture_gratis_inv_settings']['section_page'],
            'field_section' => 'setting_section_invoice',
        ];

        $this->fieldsArgs[] = [
            'field_id' => 'invoice_cert_file_options_fields',
            'field_title' => esc_html__('WebService Certificate file (.p12)', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
            'field_callback' => [
                new \WcFattureGratisInvoice\Admin\Settings\Fields\Button([
                    'type' => 'button',
                    'id' => 'wc_fatture_gratis_inv-settings-invoice_cert_file',
                    'name' => 'wc_fatture_gratis_inv-settings-invoice_cert_file',
                    'class' => 'button',
                    'text' => 'Seleziona il file del certificato',
                    'description' => esc_html__('Upload certificate file of FattureGratis WebService', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
                    'value' => esc_html__('Seleziona il file del certificato', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
                ], $this, $page),
                'field',
            ],
            'field_page' => $this->sectionArgs['wc_fatture_gratis_inv_settings']['section_page'],
            'field_section' => 'setting_section_invoice',
        ];

        $this->fieldsArgs[] = [
            'field_id' => 'password_certificate',
            'field_title' => esc_html__('Password', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
            'field_callback' => [
                new \WcFattureGratisInvoice\Admin\Settings\Fields\Text([
                    'type' => 'password',
                    'id' => 'wc_fatture_gratis_inv-settings-password_certificate',
                    'name' => 'wc_fatture_gratis_inv-settings-password_certificate',
                    'description' => esc_html__('Inserisci la password del certificato', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
                ], $this, $page),
                'field',
            ],
            'field_page' => $this->sectionArgs['wc_fatture_gratis_inv_settings']['section_page'],
            'field_section' => 'setting_section_invoice',
        ];
        $this->fieldsArgs[] = [
            'field_id' => 'invoice_cert_file_id_options_fields',
            'field_title' => '',
            'field_callback' => [
                new \WcFattureGratisInvoice\Admin\Settings\Fields\Text([
                    'type' => 'hidden',
                    'id' => 'wc_fatture_gratis_inv-settings-invoice_cert_file_id',
                    'name' => 'wc_fatture_gratis_inv-settings-invoice_cert_file_id',
                    'description' => '',
                    'attrs' => [
                        'class' => 'disabled',
                        'hidden' => true,
                    ],
                    // 'value'       => $page->getOptions('invoice_cert_file_id')
                ], $this, $page),
                'field',
            ],
            'field_page' => $this->sectionArgs['wc_fatture_gratis_inv_settings']['section_page'],
            'field_section' => 'setting_section_invoice',
        ];
    break;

    default:
        $this->sectionArgs = [];
        break;
}
