<?php

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

$styles = [];

// Get the Environment.
$dev = (bool) ('dev' === WC_FATTUREGRATIS_INV_ENV);

if (!is_admin()) {
    $styles = array_merge($styles, [
        [
            'handle' => 'wc_fatture_gratis_inv-front_style',
            'file' => \WcFattureGratisInvoice\Plugin::getPluginDirUrl('assets/css/wc-inv-front.css'),
            'deps' => [],
            'ver' => $dev ? time() : WC_FATTUREGRATIS_INV_VERSION,
            'media' => 'all',
        ],
    ]);
} else {
    $styles = array_merge($styles, [
        [
            'handle' => 'jquery-ui',
            'file' => '//code.jquery.com/ui/1.12.1/themes/smoothness/jquery-ui.css',
            'deps' => [],
            'ver' => $dev ? time() : WC_FATTUREGRATIS_INV_VERSION,
            'media' => 'all',
        ],
        [
            'handle' => 'wc_fatture_gratis_inv-admin_style',
            'file' => \WcFattureGratisInvoice\Plugin::getPluginDirUrl('assets/css/wc-inv-admin.css'),
            'deps' => [],
            'ver' => $dev ? time() : WC_FATTUREGRATIS_INV_VERSION,
            'media' => 'all',
        ],
    ]);
}

return apply_filters('wc_fatture_gratis_inv-styles_list', $styles);
