<?php

$page = \WcFattureGratisInvoice\Admin\Settings\OptionPage::init();
$countries = new WC_Countries();
$euVat = $countries->get_vat_countries();
$userCountry = get_user_meta(get_current_user_id(), 'billing_country', true);

// Sdi required
$sdi = \WcFattureGratisInvoice\Functions\filterInput($_POST, 'billing_sdi_type', FILTER_SANITIZE_STRING);
$country = \WcFattureGratisInvoice\Functions\filterInput($_POST, 'billing_country', FILTER_SANITIZE_STRING);
$choiceDocType = \WcFattureGratisInvoice\Functions\filterInput($_POST, 'billing_choice_type', FILTER_SANITIZE_STRING);
$action = \WcFattureGratisInvoice\Functions\filterInput($_POST, 'action', FILTER_SANITIZE_STRING);
$recipientCodeRequired = 'edit_address' !== $action &&
                 in_array($userCountry, $euVat, true) &&
                 ('IT' === $userCountry || 'IT' === $sdi) ? true : false;

// Disable Pec Unique code option
$disablePecSdi = $page->getOptions('invoice_disable_pec_sdi');
// Disable Tax code option
$disableTaxCode = $page->getOptions('invoice_disable_cf');
// Choice type
$choiceType = $page->getOptions('invoice_choice_type');

// Option required
$requiredOption = 'required' === $page->getOptions('invoice_required') ? true : false;
$type = \WcFattureGratisInvoice\Functions\filterInput($_POST, 'billing_invoice_type', FILTER_SANITIZE_STRING);

// VAT required
$required = isset($requiredOption) && true === $requiredOption &&
            ('freelance' === $type || 'foundation' === $type || 'company' === $type || 'cooperative' === $type || 'association' === $type || false === $type) ? true : false;

$requiredTaxCode = $required;
if ('on' === $disableTaxCode && 'private' !== $type) {
    $requiredTaxCode = false;
}

$requiredVat = $required;
if (false === $requiredOption && 'IT' !== $userCountry || 'IT' !== $country) {
    $requiredVat = false;
}

if ('receipt' === $choiceDocType) {
    $requiredOption = $recipientCodeRequired = $requiredVat = $requiredTaxCode = false;
}

$fields = apply_filters('wc_fatture_gratis_inv-billing_fields', [
    'billing_choice_type' => [
        'id' => 'billing_choice_type',
        'type' => 'select',
        'class' => [
            'wc_fatture_gratis_inv-type-field',
            'form-row-wide',
        ],
        'label' => esc_html__('Choose the type of document', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'description' => '',
        'required' => false,
        'default' => 'invoice',
        'options' => [
            'TD01' => esc_html_x('Invoice', 'invoice_choice', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
            // 'receipt' => esc_html_x('Receipt', 'invoice_choice', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        ],
    ],
    'billing_invoice_type' => [
        'id' => 'billing_invoice_type',
        'type' => 'select',
        'class' => [
            'wc_fatture_gratis_inv-invoice-type',
            'form-row-wide',
        ],
        'label' => esc_html__('Customer type', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'description' => esc_html__('Please select Customer type', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'placeholder' => esc_html__('Customer type', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'required' => $requiredOption,
        'options' => [
            'association' => esc_html__('Association', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
            'cooperative' => esc_html__('Cooperative', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
            'company' => esc_html__('Company', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
            'foundation' => esc_html__('Foundation', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
            'freelance' => esc_html__('Freelance', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
            'private' => esc_html__('Private', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        ],
    ],
    'billing_recipient_code' => [
        'id' => 'billing_recipient_code',
        'type' => 'text',
        'class' => [
            'wc_fatture_gratis_inv-recipient_code-field',
            'form-row-wide',
        ],
        'label' => esc_html__('Recipient code (SDI)', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'description' => esc_html__(
            'Please enter your recipient code (SDI)',
            WC_FATTUREGRATIS_INV_TEXTDOMAIN
        ),
        'placeholder' => esc_html__('Recipient code (SDI)', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'required' => $recipientCodeRequired,
    ],
    'billing_pec' => [
        'id' => 'billing_pec',
        'type' => 'text',
        'class' => [
            'wc_fatture_gratis_inv-pec-field',
            'form-row-wide',
        ],
        'label' => esc_html__('Certified e-mail (PEC)', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'description' => esc_html__(
            'Please enter your certified e-mail (PEC)',
            WC_FATTUREGRATIS_INV_TEXTDOMAIN
        ),
        'placeholder' => esc_html__('Certified e-mail (PEC)', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'required' => false,
    ],
    'billing_vat_number' => [
        'id' => 'billing_vat_number',
        'type' => 'text',
        'class' => [
            'wc_fatture_gratis_inv-vat-field',
            'form-row-wide',
        ],
        'label' => esc_html__('VAT number', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'description' => esc_html__('Please enter your VAT number', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'placeholder' => esc_html__('VAT number', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'required' => $requiredVat,
    ],
    'billing_tax_code' => [
        'id' => 'billing_tax_code',
        'type' => 'text',
        'class' => [
            'wc_fatture_gratis_inv-taxcode-field',
            'form-row-wide',
        ],
        'label' => esc_html__('Tax Code', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'description' => esc_html__('Please enter your Tax Code', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'placeholder' => esc_html__('Tax Code', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'required' => $requiredTaxCode,
    ],
]);

// Remove Choice type select
if ('on' !== $choiceType && !is_admin()) {
    unset($fields['billing_choice_type']);
}

// // Disable "billing_sdi_type" field only in front
// if ('on' === $disablePecSdi && ! is_admin()) {
//     $fields['billing_sdi_type']['required'] = '';
//     $fields['billing_sdi_type']['class'][]  = 'hide';
//     $fields['billing_sdi_type']['type']     = 'hidden';
// }

return $fields;
