<?php

// @codingStandardsIgnoreLine
$taxRegime = include \WcFattureGratisInvoice\Plugin::getPluginDirPath('/inc/wc/taxRegime.php');

return apply_filters('wc_fatture_gratis_inv-general_shop_fields', [
    [
        'title' => esc_html__('General Options Invoice', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'type' => 'title',
        'desc' => esc_html__(
            'This is where your business is located. Tax rates and shipping rates will use this address.',
            WC_FATTUREGRATIS_INV_TEXTDOMAIN
        ),
        'id' => 'store_invoice',
    ],
    [
        'id' => 'wc_fatture_gratis_inv-general_store_your_name',
        'type' => 'text',
        'title' => esc_html__('(*) Name', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'desc' => esc_html__('Please enter your name', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'placeholder' => esc_html__('Your Name', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'default' => '',
        'desc_tip' => true,
    ],
    [
        'id' => 'wc_fatture_gratis_inv-general_store_your_surname',
        'type' => 'text',
        'title' => esc_html__('(*) Surname', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'desc' => esc_html__('Please enter your surname', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'placeholder' => esc_html__('Your Surname', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'default' => '',
        'desc_tip' => true,
    ],
    [
        'id' => 'wc_fatture_gratis_inv-general_store_company_name',
        'type' => 'text',
        'title' => esc_html__('(*) Company Name', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'desc' => esc_html__('Please enter your company name', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'placeholder' => esc_html__('Your Company Name', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'default' => '',
        'desc_tip' => true,
    ],
    [
        'id' => 'wc_fatture_gratis_inv-general_store_vat_number',
        'type' => 'text',
        'title' => esc_html__('(*) VAT number', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'desc' => esc_html__('Please enter your vat code', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'placeholder' => esc_html__('Your vat number', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'default' => '',
        'desc_tip' => true,
    ],
    [
        'id' => 'wc_fatture_gratis_inv-general_store_tax_regime',
        'type' => 'select',
        'title' => esc_html__('(*) Tax Regine', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'desc' => esc_html__('Please select your tax regime', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'options' => !empty($taxRegime['IT']) ? $taxRegime['IT'] : [],
        'class' => 'wc-enhanced-select',
        'default' => '',
        'desc_tip' => true,
    ],
    [
        'id' => 'wc_fatture_gratis_inv-general_store_phone',
        'type' => 'text',
        'title' => esc_html__('Phone number', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'desc' => esc_html__('Please enter your phone number', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'placeholder' => esc_html__('Your phone number', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'default' => '',
        'desc_tip' => true,
    ],
    [
        'id' => 'wc_fatture_gratis_inv-general_store_email',
        'type' => 'text',
        'title' => esc_html__('(*) Email address', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'desc' => esc_html__('Please enter your email', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'placeholder' => esc_html__('Your email', WC_FATTUREGRATIS_INV_TEXTDOMAIN),
        'default' => '',
        'desc_tip' => true,
        'attrs' => [
          'required' => 'required',
        ],
    ],
    [
        'type' => 'sectionend',
        'id' => 'store_invoice',
    ],
]);
