<?php

namespace WcFattureGratisInvoice\Admin\Settings\Fields;

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

use WcFattureGratisInvoice\Admin\Settings\OptionFields;
use WcFattureGratisInvoice\Admin\Settings\OptionPage;

final class KeyField extends Text
{
    /**
     * Key args.
     *
     * @since 1.0.0
     *
     * @var array
     */
    public static $keyArgs;

    /**
     * Key option.
     *
     * @since 1.0.0
     *
     * @var
     */
    private static $keyOptions;

    /**
     * KeyField constructor.
     *
     * @since 1.0.0
     *
     * @param $args
     */
    public function __construct($args, OptionFields $fields, OptionPage $page)
    {
        self::$keyArgs = $args;
        self::$keyOptions = $fields;

        parent::__construct($args, $fields, $page);
    }

    /**
     * Secret Key.
     *
     * @since 1.0.0
     */
    public static function secretKey()
    {
        $output = '';
        $secretApiKey = get_option('wc_fatture_gratis_inv-secret-api-key');

        if ($secretApiKey &&
            isset(self::$keyOptions->options['wc_fatture_gratis_inv-settings-key']) &&
            '' !== self::$keyOptions->options['wc_fatture_gratis_inv-settings-key']
        ) {
            $value = $secretApiKey;
        } else {
            $value = esc_html__('No key');
        }

        $output .= sprintf('<code>%s</code>', $value);

        echo $output;
    }
}
