<?php

namespace WcFattureGratisInvoice;

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

class Init
{
    /**
     * Register.
     *
     * @since  1.0.0
     *
     * @var Loader The register instance
     */
    private $loader;

    /**
     * Filters.
     *
     * @since  1.0.0
     *
     * @var array A list of filters and their callbacks
     */
    private $filters;

    /**
     * Construct.
     *
     * @since  1.0.0
     *
     * @throws \Exception in case the init has been performed
     *
     * @param LoaderInterface $loader  the loader to use during the init
     * @param array           $filters the filters for back-end
     */
    public function __construct(LoaderInterface $loader, array $filters)
    {
        $this->loader = $loader;
        $this->filters = $filters;
    }

    /**
     * Prevent Deserialization.
     *
     * Serialized version of this class is prohibited.
     *
     * @since  1.0.0
     *
     * @return void
     */
    public function __wakeup()
    {
        trigger_error(esc_html__('Cheatin&#8217; huh?', WC_FATTUREGRATIS_INV_TEXTDOMAIN), E_USER_ERROR);
    }

    /**
     * Prevent Cloning.
     *
     * @since  1.0.0
     *
     * @return void
     */
    public function __clone()
    {
        trigger_error(esc_html__('Cheatin&#8217; huh?', WC_FATTUREGRATIS_INV_TEXTDOMAIN), E_USER_ERROR);
    }

    /**
     * Init.
     *
     * @since  1.0.0
     *
     * @throws \Exception in case the init has been performed
     *
     * @return void
     */
    public function init()
    {
        // Add Filters.
        $this->loader->addFilters($this->filters)
                     ->load();
    }
}
