<?php

namespace WcFattureGratisInvoice;

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

interface LoaderInterface
{
    /**
     * Add Filters.
     *
     * @since  1.0.0
     *
     * @param array $haystack the instance containing the list of filters and their arguments
     *
     * @return LoaderInterface The instance of chaining
     */
    public function addFilters(array $haystack);

    /**
     * Add Action.
     *
     * @since  1.0.0
     *
     * @param string $context The context of the action. Allowed 'admin', 'front'.
     * @param string $args    arguments
     *
     * @return void
     */
    public function addAction($context, $args);

    /**
     * Add Filter.
     *
     * @since  1.0.0
     *
     * @param string $context The context of the filter. Allowed 'admin', 'front'.
     * @param string $args    arguments
     *
     * @return void
     */
    public function addFilter($context, $args);

    /**
     * Add Filters based on context.
     *
     * @since  1.0.0
     *
     * @throws \ErrorException If the $func parameter is not callable
     *
     * @return void
     */
    public function load();
}
