<?php

namespace WcFattureGratisInvoice\Sanitize;

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

final class Arrays implements Sanitize
{
    /**
     * Input.
     *
     * @since 1.0.0
     *
     * @var array The input tu sanitized
     */
    private $input = [];

    /**
     * Sanitize constructor.
     *
     * @since 1.0.0
     *
     * @param $input
     */
    public function __construct($input)
    {
        $this->input = $input;
    }

    /**
     * Sanitize.
     *
     * @param $input
     *
     * @return array The array sanitized
     *
     * @throws \Exception
     */
    public static function sanitize($input)
    {
        if (!is_array($input)) {
            throw new \Exception('Input is not an array');
        }

        try {
            foreach ($input as $key => $item) {
                // To be sure that it only works with the plugin data.
                if (false !== strpos('wc_fatture_gratis_inv-', $key)) {
                    $input[$key] = esc_attr(strip_tags($item));
                }
            }
        } catch (\Exception $e) {
            echo 'Input is not an array: ', $e->getMessage(), "\n";
        }

        return $input;
    }
}
