<?php

namespace WcFattureGratisInvoice\Sanitize;

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

final class Text implements Sanitize
{
    /**
     * Input.
     *
     * @since 1.0.0
     *
     * @var mixed The input tu sanitized
     */
    private $input;

    /**
     * Sanitize constructor.
     *
     * @since 1.0.0
     *
     * @param $input
     */
    public function __construct($input)
    {
        $this->input = $input;
    }

    /**
     * Sanitize.
     *
     * @since 1.0.0
     *
     * @param $input
     *
     * @return string The string sanitized
     *
     * @throws \Exception
     */
    public static function sanitize($input)
    {
        if (!is_string($input)) {
            throw new \Exception('Input is not a string');
        }

        try {
            $input = sanitize_text_field($input);
        } catch (\Exception $e) {
            echo 'Input is not a string: ', $e->getMessage(), "\n";
        }

        return $input;
    }
}
