<?php

namespace PSA\WS\Account;

class AccountServiceService extends \SoapClient
{

    /**
     * @var array $classmap The defined classes
     */
    private static $classmap = array (
      'CassaPrevidenziale' => 'PSA\\WS\\Account\\CassaPrevidenziale',
      'AuthProfile' => 'PSA\\WS\\Account\\AuthProfile',
      'createProfile' => 'PSA\\WS\\Account\\createProfile',
      'createProfileResponse' => 'PSA\\WS\\Account\\createProfileResponse',
      'rigeneraToken' => 'PSA\\WS\\Account\\rigeneraToken',
      'rigeneraTokenResponse' => 'PSA\\WS\\Account\\rigeneraTokenResponse',
      'setProfile' => 'PSA\\WS\\Account\\setProfile',
      'setProfileResponse' => 'PSA\\WS\\Account\\setProfileResponse',
      'getProfile' => 'PSA\\WS\\Account\\getProfile',
      'getProfileResponse' => 'PSA\\WS\\Account\\getProfileResponse',
      'showProfile' => 'PSA\\WS\\Account\\showProfile',
      'showProfileResponse' => 'PSA\\WS\\Account\\showProfileResponse',
      'aggiungiProfiloEsistente' => 'PSA\\WS\\Account\\aggiungiProfiloEsistente',
      'aggiungiProfiloEsistenteResponse' => 'PSA\\WS\\Account\\aggiungiProfiloEsistenteResponse',
      'rimuoviProfiloDaUtente' => 'PSA\\WS\\Account\\rimuoviProfiloDaUtente',
      'rimuoviProfiloDaUtenteResponse' => 'PSA\\WS\\Account\\rimuoviProfiloDaUtenteResponse',
      'impostaProfiloDefaultUtente' => 'PSA\\WS\\Account\\impostaProfiloDefaultUtente',
      'impostaProfiloDefaultUtenteResponse' => 'PSA\\WS\\Account\\impostaProfiloDefaultUtenteResponse',
      'elencoProfiliUtente' => 'PSA\\WS\\Account\\elencoProfiliUtente',
      'elencoProfiliUtenteResponse' => 'PSA\\WS\\Account\\elencoProfiliUtenteResponse',
      'listaTotaleProfiliUtente' => 'PSA\\WS\\Account\\listaTotaleProfiliUtente',
      'listaTotaleProfiliUtenteResponse' => 'PSA\\WS\\Account\\listaTotaleProfiliUtenteResponse',
    );

    /**
     * @param array $options A array of config values
     * @param string $wsdl The wsdl file to use
     */
    public function __construct(array $options = array(), $wsdl = null)
    {
      foreach (self::$classmap as $key => $value) {
        if (!isset($options['classmap'][$key])) {
          $options['classmap'][$key] = $value;
        }
      }
      $options = array_merge(array (
      'verifypeer' => false,
      'verifyhost' => false,
      'stream_context' => NULL,
      'trace' => 1,
      'exceptions' => 1,
      'features' => 1,
    ), $options);
      if (!$wsdl) {
        $wsdl = 'https://webservice-dev-int.fatturagratis.net:443/index.php?wsdl&module=account';
      }
      parent::__construct($wsdl, $options);
    }

    /**
     * *
     *
     * @param createProfile $parameters
     * @return createProfileResponse
     */
    public function createProfile(createProfile $parameters)
    {
      return $this->__soapCall('createProfile', array($parameters));
    }

    /**
     * *
     *
     * @param rigeneraToken $parameters
     * @return rigeneraTokenResponse
     */
    public function rigeneraToken(rigeneraToken $parameters)
    {
      return $this->__soapCall('rigeneraToken', array($parameters));
    }

    /**
     * *
     *
     * @param setProfile $parameters
     * @return setProfileResponse
     */
    public function setProfile(setProfile $parameters)
    {
      return $this->__soapCall('setProfile', array($parameters));
    }

    /**
     * *
     *
     * @param getProfile $parameters
     * @return getProfileResponse
     */
    public function getProfile(getProfile $parameters)
    {
      return $this->__soapCall('getProfile', array($parameters));
    }

    /**
     * *
     *
     * @param showProfile $parameters
     * @return showProfileResponse
     */
    public function showProfile(showProfile $parameters)
    {
      return $this->__soapCall('showProfile', array($parameters));
    }

    /**
     * *
     *
     * @param aggiungiProfiloEsistente $parameters
     * @return aggiungiProfiloEsistenteResponse
     */
    public function aggiungiProfiloEsistente(aggiungiProfiloEsistente $parameters)
    {
      return $this->__soapCall('aggiungiProfiloEsistente', array($parameters));
    }

    /**
     * *
     *
     * @param rimuoviProfiloDaUtente $parameters
     * @return rimuoviProfiloDaUtenteResponse
     */
    public function rimuoviProfiloDaUtente(rimuoviProfiloDaUtente $parameters)
    {
      return $this->__soapCall('rimuoviProfiloDaUtente', array($parameters));
    }

    /**
     * *
     *
     * @param impostaProfiloDefaultUtente $parameters
     * @return impostaProfiloDefaultUtenteResponse
     */
    public function impostaProfiloDefaultUtente(impostaProfiloDefaultUtente $parameters)
    {
      return $this->__soapCall('impostaProfiloDefaultUtente', array($parameters));
    }

    /**
     * *
     *
     * @param elencoProfiliUtente $parameters
     * @return elencoProfiliUtenteResponse
     */
    public function elencoProfiliUtente(elencoProfiliUtente $parameters)
    {
      return $this->__soapCall('elencoProfiliUtente', array($parameters));
    }

    /**
     * *
     *
     * @param listaTotaleProfiliUtente $parameters
     * @return listaTotaleProfiliUtenteResponse
     */
    public function listaTotaleProfiliUtente(listaTotaleProfiliUtente $parameters)
    {
      return $this->__soapCall('listaTotaleProfiliUtente', array($parameters));
    }

}
