<?php

namespace PSA\WS\Account;

class AuthProfile
{

    /**
     * @var string $codice_sdi
     */
    protected $codice_sdi = null;

    /**
     * @var string $ragione_sociale
     */
    protected $ragione_sociale = null;

    /**
     * @var string $titolo
     */
    protected $titolo = null;

    /**
     * @var string $nome
     */
    protected $nome = null;

    /**
     * @var string $cognome
     */
    protected $cognome = null;

    /**
     * @var string $piva
     */
    protected $piva = null;

    /**
     * @var string $codice_fiscale
     */
    protected $codice_fiscale = null;

    /**
     * @var string $indirizzo
     */
    protected $indirizzo = null;

    /**
     * @var string $cap
     */
    protected $cap = null;

    /**
     * @var string $citta
     */
    protected $citta = null;

    /**
     * @var string $provincia
     */
    protected $provincia = null;

    /**
     * @var string $nazione
     */
    protected $nazione = null;

    /**
     * @var string $email
     */
    protected $email = null;

    /**
     * @var string $pa_or_pr
     */
    protected $pa_or_pr = null;

    /**
     * @var string $iban
     */
    protected $iban = null;

    /**
     * @var string $divisa
     */
    protected $divisa = null;

    /**
     * @var string $regime_fiscale
     */
    protected $regime_fiscale = null;

    /**
     * @var int $auto_send
     */
    protected $auto_send = null;

    /**
     * @var CassaPrevidenziale $cassa_previdenziale
     */
    protected $cassa_previdenziale = null;

    /**
     * @param int $auto_send
     */
    public function __construct($auto_send)
    {
      $this->auto_send = $auto_send;
    }

    /**
     * @return string
     */
    public function getCodice_sdi()
    {
      return $this->codice_sdi;
    }

    /**
     * @param string $codice_sdi
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setCodice_sdi($codice_sdi)
    {
      $this->codice_sdi = $codice_sdi;
      return $this;
    }

    /**
     * @return string
     */
    public function getRagione_sociale()
    {
      return $this->ragione_sociale;
    }

    /**
     * @param string $ragione_sociale
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setRagione_sociale($ragione_sociale)
    {
      $this->ragione_sociale = $ragione_sociale;
      return $this;
    }

    /**
     * @return string
     */
    public function getTitolo()
    {
      return $this->titolo;
    }

    /**
     * @param string $titolo
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setTitolo($titolo)
    {
      $this->titolo = $titolo;
      return $this;
    }

    /**
     * @return string
     */
    public function getNome()
    {
      return $this->nome;
    }

    /**
     * @param string $nome
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setNome($nome)
    {
      $this->nome = $nome;
      return $this;
    }

    /**
     * @return string
     */
    public function getCognome()
    {
      return $this->cognome;
    }

    /**
     * @param string $cognome
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setCognome($cognome)
    {
      $this->cognome = $cognome;
      return $this;
    }

    /**
     * @return string
     */
    public function getPiva()
    {
      return $this->piva;
    }

    /**
     * @param string $piva
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setPiva($piva)
    {
      $this->piva = $piva;
      return $this;
    }

    /**
     * @return string
     */
    public function getCodice_fiscale()
    {
      return $this->codice_fiscale;
    }

    /**
     * @param string $codice_fiscale
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setCodice_fiscale($codice_fiscale)
    {
      $this->codice_fiscale = $codice_fiscale;
      return $this;
    }

    /**
     * @return string
     */
    public function getIndirizzo()
    {
      return $this->indirizzo;
    }

    /**
     * @param string $indirizzo
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setIndirizzo($indirizzo)
    {
      $this->indirizzo = $indirizzo;
      return $this;
    }

    /**
     * @return string
     */
    public function getCap()
    {
      return $this->cap;
    }

    /**
     * @param string $cap
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setCap($cap)
    {
      $this->cap = $cap;
      return $this;
    }

    /**
     * @return string
     */
    public function getCitta()
    {
      return $this->citta;
    }

    /**
     * @param string $citta
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setCitta($citta)
    {
      $this->citta = $citta;
      return $this;
    }

    /**
     * @return string
     */
    public function getProvincia()
    {
      return $this->provincia;
    }

    /**
     * @param string $provincia
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setProvincia($provincia)
    {
      $this->provincia = $provincia;
      return $this;
    }

    /**
     * @return string
     */
    public function getNazione()
    {
      return $this->nazione;
    }

    /**
     * @param string $nazione
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setNazione($nazione)
    {
      $this->nazione = $nazione;
      return $this;
    }

    /**
     * @return string
     */
    public function getEmail()
    {
      return $this->email;
    }

    /**
     * @param string $email
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setEmail($email)
    {
      $this->email = $email;
      return $this;
    }

    /**
     * @return string
     */
    public function getPa_or_pr()
    {
      return $this->pa_or_pr;
    }

    /**
     * @param string $pa_or_pr
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setPa_or_pr($pa_or_pr)
    {
      $this->pa_or_pr = $pa_or_pr;
      return $this;
    }

    /**
     * @return string
     */
    public function getIban()
    {
      return $this->iban;
    }

    /**
     * @param string $iban
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setIban($iban)
    {
      $this->iban = $iban;
      return $this;
    }

    /**
     * @return string
     */
    public function getDivisa()
    {
      return $this->divisa;
    }

    /**
     * @param string $divisa
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setDivisa($divisa)
    {
      $this->divisa = $divisa;
      return $this;
    }

    /**
     * @return string
     */
    public function getRegime_fiscale()
    {
      return $this->regime_fiscale;
    }

    /**
     * @param string $regime_fiscale
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setRegime_fiscale($regime_fiscale)
    {
      $this->regime_fiscale = $regime_fiscale;
      return $this;
    }

    /**
     * @return int
     */
    public function getAuto_send()
    {
      return $this->auto_send;
    }

    /**
     * @param int $auto_send
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setAuto_send($auto_send)
    {
      $this->auto_send = $auto_send;
      return $this;
    }

    /**
     * @return CassaPrevidenziale
     */
    public function getCassa_previdenziale()
    {
      return $this->cassa_previdenziale;
    }

    /**
     * @param CassaPrevidenziale $cassa_previdenziale
     * @return \PSA\WS\Account\AuthProfile
     */
    public function setCassa_previdenziale($cassa_previdenziale)
    {
      $this->cassa_previdenziale = $cassa_previdenziale;
      return $this;
    }

}
