<?php

namespace PSA\WS\CategorieFatture;

class CategorieFattureService extends \SoapClient
{

    /**
     * @var array $classmap The defined classes
     */
    private static $classmap = array (
      'nuovoCategoriaFattura' => 'PSA\\WS\\CategorieFatture\\nuovoCategoriaFattura',
      'nuovoCategoriaFatturaResponse' => 'PSA\\WS\\CategorieFatture\\nuovoCategoriaFatturaResponse',
      'listaCategorieFatture' => 'PSA\\WS\\CategorieFatture\\listaCategorieFatture',
      'listaCategorieFattureResponse' => 'PSA\\WS\\CategorieFatture\\listaCategorieFattureResponse',
      'eliminaCategoriaFattura' => 'PSA\\WS\\CategorieFatture\\eliminaCategoriaFattura',
      'eliminaCategoriaFatturaResponse' => 'PSA\\WS\\CategorieFatture\\eliminaCategoriaFatturaResponse',
      'modificaCategoriaFattura' => 'PSA\\WS\\CategorieFatture\\modificaCategoriaFattura',
      'modificaCategoriaFatturaResponse' => 'PSA\\WS\\CategorieFatture\\modificaCategoriaFatturaResponse',
    );

    /**
     * @param array $options A array of config values
     * @param string $wsdl The wsdl file to use
     */
    public function __construct(array $options = array(), $wsdl = null)
    {
      foreach (self::$classmap as $key => $value) {
        if (!isset($options['classmap'][$key])) {
          $options['classmap'][$key] = $value;
        }
      }
      $options = array_merge(array (
      'verifypeer' => false,
      'verifyhost' => false,
      'stream_context' => NULL,
      'trace' => 1,
      'exceptions' => 1,
      'features' => 1,
    ), $options);
      if (!$wsdl) {
        $wsdl = 'https://webservice-dev-int.fatturagratis.net:443/index.php?wsdl&module=categoriefatture';
      }
      parent::__construct($wsdl, $options);
    }

    /**
     * *
     *
     * @param nuovoCategoriaFattura $parameters
     * @return nuovoCategoriaFatturaResponse
     */
    public function nuovoCategoriaFattura(nuovoCategoriaFattura $parameters)
    {
      return $this->__soapCall('nuovoCategoriaFattura', array($parameters));
    }

    /**
     * *
     *
     * @param listaCategorieFatture $parameters
     * @return listaCategorieFattureResponse
     */
    public function listaCategorieFatture(listaCategorieFatture $parameters)
    {
      return $this->__soapCall('listaCategorieFatture', array($parameters));
    }

    /**
     * *
     *
     * @param eliminaCategoriaFattura $parameters
     * @return eliminaCategoriaFatturaResponse
     */
    public function eliminaCategoriaFattura(eliminaCategoriaFattura $parameters)
    {
      return $this->__soapCall('eliminaCategoriaFattura', array($parameters));
    }

    /**
     * *
     *
     * @param modificaCategoriaFattura $parameters
     * @return modificaCategoriaFatturaResponse
     */
    public function modificaCategoriaFattura(modificaCategoriaFattura $parameters)
    {
      return $this->__soapCall('modificaCategoriaFattura', array($parameters));
    }

}
