<?php

namespace PSA\WS\Comuni;

class ComuniService extends \SoapClient
{

    /**
     * @var array $classmap The defined classes
     */
    private static $classmap = array (
      'elencoComuni' => 'PSA\\WS\\Comuni\\elencoComuni',
      'elencoComuniResponse' => 'PSA\\WS\\Comuni\\elencoComuniResponse',
    );

    /**
     * @param array $options A array of config values
     * @param string $wsdl The wsdl file to use
     */
    public function __construct(array $options = array(), $wsdl = null)
    {
      foreach (self::$classmap as $key => $value) {
        if (!isset($options['classmap'][$key])) {
          $options['classmap'][$key] = $value;
        }
      }
      $options = array_merge(array (
      'verifypeer' => false,
      'verifyhost' => false,
      'stream_context' => NULL,
      'trace' => 1,
      'exceptions' => 1,
      'features' => 1,
    ), $options);
      if (!$wsdl) {
        $wsdl = 'https://webservice-dev-int.fatturagratis.net:443/index.php?wsdl&module=comuni';
      }
      parent::__construct($wsdl, $options);
    }

    /**
     * *
     *
     * @param elencoComuni $parameters
     * @return elencoComuniResponse
     */
    public function elencoComuni(elencoComuni $parameters)
    {
      return $this->__soapCall('elencoComuni', array($parameters));
    }

}
