<?php

namespace PSA\WS\Contabilita;

class ContabilitaService extends \SoapClient
{

    /**
     * @var array $classmap The defined classes
     */
    private static $classmap = array (
      'contabilita' => 'PSA\\WS\\Contabilita\\contabilita',
      'contabilitaResponse' => 'PSA\\WS\\Contabilita\\contabilitaResponse',
      'contabilitaBolloVirtuale' => 'PSA\\WS\\Contabilita\\contabilitaBolloVirtuale',
      'contabilitaBolloVirtualeResponse' => 'PSA\\WS\\Contabilita\\contabilitaBolloVirtualeResponse',
      'contabilitaRitenutaAcconto' => 'PSA\\WS\\Contabilita\\contabilitaRitenutaAcconto',
      'contabilitaRitenutaAccontoResponse' => 'PSA\\WS\\Contabilita\\contabilitaRitenutaAccontoResponse',
      'listaClienti' => 'PSA\\WS\\Contabilita\\listaClienti',
      'listaClientiResponse' => 'PSA\\WS\\Contabilita\\listaClientiResponse',
      'calcolaDovuto' => 'PSA\\WS\\Contabilita\\calcolaDovuto',
      'calcolaDovutoResponse' => 'PSA\\WS\\Contabilita\\calcolaDovutoResponse',
    );

    /**
     * @param array $options A array of config values
     * @param string $wsdl The wsdl file to use
     */
    public function __construct(array $options = array(), $wsdl = null)
    {
      foreach (self::$classmap as $key => $value) {
        if (!isset($options['classmap'][$key])) {
          $options['classmap'][$key] = $value;
        }
      }
      $options = array_merge(array (
      'verifypeer' => false,
      'verifyhost' => false,
      'stream_context' => NULL,
      'trace' => 1,
      'exceptions' => 1,
      'features' => 1,
    ), $options);
      if (!$wsdl) {
        $wsdl = 'https://webservice-dev-int.fatturagratis.net:443/index.php?wsdl&module=contabilita';
      }
      parent::__construct($wsdl, $options);
    }

    /**
     * *
     *
     * @param contabilita $parameters
     * @return contabilitaResponse
     */
    public function contabilita(contabilita $parameters)
    {
      return $this->__soapCall('contabilita', array($parameters));
    }

    /**
     * *
     *
     * @param contabilitaBolloVirtuale $parameters
     * @return contabilitaBolloVirtualeResponse
     */
    public function contabilitaBolloVirtuale(contabilitaBolloVirtuale $parameters)
    {
      return $this->__soapCall('contabilitaBolloVirtuale', array($parameters));
    }

    /**
     * *
     *
     * @param contabilitaRitenutaAcconto $parameters
     * @return contabilitaRitenutaAccontoResponse
     */
    public function contabilitaRitenutaAcconto(contabilitaRitenutaAcconto $parameters)
    {
      return $this->__soapCall('contabilitaRitenutaAcconto', array($parameters));
    }

    /**
     * *
     *
     * @param listaClienti $parameters
     * @return listaClientiResponse
     */
    public function listaClienti(listaClienti $parameters)
    {
      return $this->__soapCall('listaClienti', array($parameters));
    }

    /**
     * *
     *
     * @param calcolaDovuto $parameters
     * @return calcolaDovutoResponse
     */
    public function calcolaDovuto(calcolaDovuto $parameters)
    {
      return $this->__soapCall('calcolaDovuto', array($parameters));
    }

}
