<?php

namespace PSA\WS\DDT;

class DDT
{

    /**
     * @var string $uuid
     */
    protected $uuid = null;

    /**
     * @var string $uuid_utente
     */
    protected $uuid_utente = null;

    /**
     * @var string $numero_ordine
     */
    protected $numero_ordine = null;

    /**
     * @var string $data_ordine
     */
    protected $data_ordine = null;

    /**
     * @var string $saldo_ordine
     */
    protected $saldo_ordine = null;

    /**
     * @var string $numero_ddt
     */
    protected $numero_ddt = null;

    /**
     * @var string $data_ddt
     */
    protected $data_ddt = null;

    /**
     * @var string $casuale_trasporto
     */
    protected $casuale_trasporto = null;

    /**
     * @var Indirizzo $luogo_trasporto
     */
    protected $luogo_trasporto = null;

    /**
     * @var string $condizioni
     */
    protected $condizioni = null;

    /**
     * @var string $a_mezzo
     */
    protected $a_mezzo = null;

    /**
     * @var MittenteDDT $mittente
     */
    protected $mittente = null;

    /**
     * @var DestinatarioDDT $destinatario
     */
    protected $destinatario = null;

    /**
     * @var ArrayOfProdottiDDT $Prodotti
     */
    protected $Prodotti = null;

    /**
     * @var string $descrizione_beni
     */
    protected $descrizione_beni = null;

    /**
     * @var int $numero_colli
     */
    protected $numero_colli = null;

    /**
     * @var float $peso
     */
    protected $peso = null;

    /**
     * @var float $porto
     */
    protected $porto = null;

    /**
     * @var ArrayOfString $vettore
     */
    protected $vettore = null;

    /**
     * @var ArrayOfString $annotazioni_variazioni
     */
    protected $annotazioni_variazioni = null;

    /**
     * @var float $totale
     */
    protected $totale = null;

    /**
     * @param int $numero_colli
     * @param float $peso
     * @param float $porto
     * @param float $totale
     */
    public function __construct($numero_colli, $peso, $porto, $totale)
    {
      $this->numero_colli = $numero_colli;
      $this->peso = $peso;
      $this->porto = $porto;
      $this->totale = $totale;
    }

    /**
     * @return string
     */
    public function getUuid()
    {
      return $this->uuid;
    }

    /**
     * @param string $uuid
     * @return \PSA\WS\DDT\DDT
     */
    public function setUuid($uuid)
    {
      $this->uuid = $uuid;
      return $this;
    }

    /**
     * @return string
     */
    public function getUuid_utente()
    {
      return $this->uuid_utente;
    }

    /**
     * @param string $uuid_utente
     * @return \PSA\WS\DDT\DDT
     */
    public function setUuid_utente($uuid_utente)
    {
      $this->uuid_utente = $uuid_utente;
      return $this;
    }

    /**
     * @return string
     */
    public function getNumero_ordine()
    {
      return $this->numero_ordine;
    }

    /**
     * @param string $numero_ordine
     * @return \PSA\WS\DDT\DDT
     */
    public function setNumero_ordine($numero_ordine)
    {
      $this->numero_ordine = $numero_ordine;
      return $this;
    }

    /**
     * @return string
     */
    public function getData_ordine()
    {
      return $this->data_ordine;
    }

    /**
     * @param string $data_ordine
     * @return \PSA\WS\DDT\DDT
     */
    public function setData_ordine($data_ordine)
    {
      $this->data_ordine = $data_ordine;
      return $this;
    }

    /**
     * @return string
     */
    public function getSaldo_ordine()
    {
      return $this->saldo_ordine;
    }

    /**
     * @param string $saldo_ordine
     * @return \PSA\WS\DDT\DDT
     */
    public function setSaldo_ordine($saldo_ordine)
    {
      $this->saldo_ordine = $saldo_ordine;
      return $this;
    }

    /**
     * @return string
     */
    public function getNumero_ddt()
    {
      return $this->numero_ddt;
    }

    /**
     * @param string $numero_ddt
     * @return \PSA\WS\DDT\DDT
     */
    public function setNumero_ddt($numero_ddt)
    {
      $this->numero_ddt = $numero_ddt;
      return $this;
    }

    /**
     * @return string
     */
    public function getData_ddt()
    {
      return $this->data_ddt;
    }

    /**
     * @param string $data_ddt
     * @return \PSA\WS\DDT\DDT
     */
    public function setData_ddt($data_ddt)
    {
      $this->data_ddt = $data_ddt;
      return $this;
    }

    /**
     * @return string
     */
    public function getCasuale_trasporto()
    {
      return $this->casuale_trasporto;
    }

    /**
     * @param string $casuale_trasporto
     * @return \PSA\WS\DDT\DDT
     */
    public function setCasuale_trasporto($casuale_trasporto)
    {
      $this->casuale_trasporto = $casuale_trasporto;
      return $this;
    }

    /**
     * @return Indirizzo
     */
    public function getLuogo_trasporto()
    {
      return $this->luogo_trasporto;
    }

    /**
     * @param Indirizzo $luogo_trasporto
     * @return \PSA\WS\DDT\DDT
     */
    public function setLuogo_trasporto($luogo_trasporto)
    {
      $this->luogo_trasporto = $luogo_trasporto;
      return $this;
    }

    /**
     * @return string
     */
    public function getCondizioni()
    {
      return $this->condizioni;
    }

    /**
     * @param string $condizioni
     * @return \PSA\WS\DDT\DDT
     */
    public function setCondizioni($condizioni)
    {
      $this->condizioni = $condizioni;
      return $this;
    }

    /**
     * @return string
     */
    public function getA_mezzo()
    {
      return $this->a_mezzo;
    }

    /**
     * @param string $a_mezzo
     * @return \PSA\WS\DDT\DDT
     */
    public function setA_mezzo($a_mezzo)
    {
      $this->a_mezzo = $a_mezzo;
      return $this;
    }

    /**
     * @return MittenteDDT
     */
    public function getMittente()
    {
      return $this->mittente;
    }

    /**
     * @param MittenteDDT $mittente
     * @return \PSA\WS\DDT\DDT
     */
    public function setMittente($mittente)
    {
      $this->mittente = $mittente;
      return $this;
    }

    /**
     * @return DestinatarioDDT
     */
    public function getDestinatario()
    {
      return $this->destinatario;
    }

    /**
     * @param DestinatarioDDT $destinatario
     * @return \PSA\WS\DDT\DDT
     */
    public function setDestinatario($destinatario)
    {
      $this->destinatario = $destinatario;
      return $this;
    }

    /**
     * @return ArrayOfProdottiDDT
     */
    public function getProdotti()
    {
      return $this->Prodotti;
    }

    /**
     * @param ArrayOfProdottiDDT $Prodotti
     * @return \PSA\WS\DDT\DDT
     */
    public function setProdotti($Prodotti)
    {
      $this->Prodotti = $Prodotti;
      return $this;
    }

    /**
     * @return string
     */
    public function getDescrizione_beni()
    {
      return $this->descrizione_beni;
    }

    /**
     * @param string $descrizione_beni
     * @return \PSA\WS\DDT\DDT
     */
    public function setDescrizione_beni($descrizione_beni)
    {
      $this->descrizione_beni = $descrizione_beni;
      return $this;
    }

    /**
     * @return int
     */
    public function getNumero_colli()
    {
      return $this->numero_colli;
    }

    /**
     * @param int $numero_colli
     * @return \PSA\WS\DDT\DDT
     */
    public function setNumero_colli($numero_colli)
    {
      $this->numero_colli = $numero_colli;
      return $this;
    }

    /**
     * @return float
     */
    public function getPeso()
    {
      return $this->peso;
    }

    /**
     * @param float $peso
     * @return \PSA\WS\DDT\DDT
     */
    public function setPeso($peso)
    {
      $this->peso = $peso;
      return $this;
    }

    /**
     * @return float
     */
    public function getPorto()
    {
      return $this->porto;
    }

    /**
     * @param float $porto
     * @return \PSA\WS\DDT\DDT
     */
    public function setPorto($porto)
    {
      $this->porto = $porto;
      return $this;
    }

    /**
     * @return ArrayOfString
     */
    public function getVettore()
    {
      return $this->vettore;
    }

    /**
     * @param ArrayOfString $vettore
     * @return \PSA\WS\DDT\DDT
     */
    public function setVettore($vettore)
    {
      $this->vettore = $vettore;
      return $this;
    }

    /**
     * @return ArrayOfString
     */
    public function getAnnotazioni_variazioni()
    {
      return $this->annotazioni_variazioni;
    }

    /**
     * @param ArrayOfString $annotazioni_variazioni
     * @return \PSA\WS\DDT\DDT
     */
    public function setAnnotazioni_variazioni($annotazioni_variazioni)
    {
      $this->annotazioni_variazioni = $annotazioni_variazioni;
      return $this;
    }

    /**
     * @return float
     */
    public function getTotale()
    {
      return $this->totale;
    }

    /**
     * @param float $totale
     * @return \PSA\WS\DDT\DDT
     */
    public function setTotale($totale)
    {
      $this->totale = $totale;
      return $this;
    }

}
