<?php

namespace PSA\WS\DDT;

class DDTService extends \SoapClient
{

    /**
     * @var array $classmap The defined classes
     */
    private static $classmap = array (
      'Indirizzo' => 'PSA\\WS\\DDT\\Indirizzo',
      'MittenteDDT' => 'PSA\\WS\\DDT\\MittenteDDT',
      'DestinatarioDDT' => 'PSA\\WS\\DDT\\DestinatarioDDT',
      'ProdottiDDT' => 'PSA\\WS\\DDT\\ProdottiDDT',
      'ArrayOfProdottiDDT' => 'PSA\\WS\\DDT\\ArrayOfProdottiDDT',
      'ArrayOfString' => 'PSA\\WS\\DDT\\ArrayOfString',
      'DDT' => 'PSA\\WS\\DDT\\DDT',
      'nuovoDDT' => 'PSA\\WS\\DDT\\nuovoDDT',
      'nuovoDDTResponse' => 'PSA\\WS\\DDT\\nuovoDDTResponse',
      'listaDDT' => 'PSA\\WS\\DDT\\listaDDT',
      'listaDDTResponse' => 'PSA\\WS\\DDT\\listaDDTResponse',
      'eliminaDDT' => 'PSA\\WS\\DDT\\eliminaDDT',
      'eliminaDDTResponse' => 'PSA\\WS\\DDT\\eliminaDDTResponse',
      'modificaDDT' => 'PSA\\WS\\DDT\\modificaDDT',
      'modificaDDTResponse' => 'PSA\\WS\\DDT\\modificaDDTResponse',
    );

    /**
     * @param array $options A array of config values
     * @param string $wsdl The wsdl file to use
     */
    public function __construct(array $options = array(), $wsdl = null)
    {
      foreach (self::$classmap as $key => $value) {
        if (!isset($options['classmap'][$key])) {
          $options['classmap'][$key] = $value;
        }
      }
      $options = array_merge(array (
      'verifypeer' => false,
      'verifyhost' => false,
      'stream_context' => NULL,
      'trace' => 1,
      'exceptions' => 1,
      'features' => 1,
    ), $options);
      if (!$wsdl) {
        $wsdl = 'https://webservice-dev-int.fatturagratis.net:443/index.php?wsdl&module=ddt';
      }
      parent::__construct($wsdl, $options);
    }

    /**
     * *
     *
     * @param nuovoDDT $parameters
     * @return nuovoDDTResponse
     */
    public function nuovoDDT(nuovoDDT $parameters)
    {
      return $this->__soapCall('nuovoDDT', array($parameters));
    }

    /**
     * *
     *
     * @param listaDDT $parameters
     * @return listaDDTResponse
     */
    public function listaDDT(listaDDT $parameters)
    {
      return $this->__soapCall('listaDDT', array($parameters));
    }

    /**
     * *
     *
     * @param eliminaDDT $parameters
     * @return eliminaDDTResponse
     */
    public function eliminaDDT(eliminaDDT $parameters)
    {
      return $this->__soapCall('eliminaDDT', array($parameters));
    }

    /**
     * *
     *
     * @param modificaDDT $parameters
     * @return modificaDDTResponse
     */
    public function modificaDDT(modificaDDT $parameters)
    {
      return $this->__soapCall('modificaDDT', array($parameters));
    }

}
