<?php

namespace PSA\WS\DigitalSignature;

class DigitalSignatureService extends \SoapClient
{

    /**
     * @var array $classmap The defined classes
     */
    private static $classmap = array (
      'Firma' => 'PSA\\WS\\DigitalSignature\\Firma',
      'FirmaResponse' => 'PSA\\WS\\DigitalSignature\\FirmaResponse',
      'FirmaAndPec' => 'PSA\\WS\\DigitalSignature\\FirmaAndPec',
      'FirmaAndPecResponse' => 'PSA\\WS\\DigitalSignature\\FirmaAndPecResponse',
      'EstraiP7M' => 'PSA\\WS\\DigitalSignature\\EstraiP7M',
      'EstraiP7MResponse' => 'PSA\\WS\\DigitalSignature\\EstraiP7MResponse',
      'addToBlockChain' => 'PSA\\WS\\DigitalSignature\\addToBlockChain',
      'addToBlockChainResponse' => 'PSA\\WS\\DigitalSignature\\addToBlockChainResponse',
      'listBlockChainFiles' => 'PSA\\WS\\DigitalSignature\\listBlockChainFiles',
      'ArrayOfString' => 'PSA\\WS\\DigitalSignature\\ArrayOfString',
      'listBlockChainFilesResponse' => 'PSA\\WS\\DigitalSignature\\listBlockChainFilesResponse',
      'getBlockChainFile' => 'PSA\\WS\\DigitalSignature\\getBlockChainFile',
      'getBlockChainFileResponse' => 'PSA\\WS\\DigitalSignature\\getBlockChainFileResponse',
    );

    /**
     * @param array $options A array of config values
     * @param string $wsdl The wsdl file to use
     */
    public function __construct(array $options = array(), $wsdl = null)
    {
      foreach (self::$classmap as $key => $value) {
        if (!isset($options['classmap'][$key])) {
          $options['classmap'][$key] = $value;
        }
      }
      $options = array_merge(array (
      'verifypeer' => false,
      'verifyhost' => false,
      'stream_context' => NULL,
      'trace' => 1,
      'exceptions' => 1,
      'features' => 1,
    ), $options);
      if (!$wsdl) {
        $wsdl = 'https://webservice-dev-int.fatturagratis.net:443/index.php?wsdl&module=digitalsignature';
      }
      parent::__construct($wsdl, $options);
    }

    /**
     * *
     *
     * @param Firma $parameters
     * @return FirmaResponse
     */
    public function Firma(Firma $parameters)
    {
      return $this->__soapCall('Firma', array($parameters));
    }

    /**
     * *
     *
     * @param FirmaAndPec $parameters
     * @return FirmaAndPecResponse
     */
    public function FirmaAndPec(FirmaAndPec $parameters)
    {
      return $this->__soapCall('FirmaAndPec', array($parameters));
    }

    /**
     * *
     *
     * @param EstraiP7M $parameters
     * @return EstraiP7MResponse
     */
    public function EstraiP7M(EstraiP7M $parameters)
    {
      return $this->__soapCall('EstraiP7M', array($parameters));
    }

    /**
     * *
     *
     * @param addToBlockChain $parameters
     * @return addToBlockChainResponse
     */
    public function addToBlockChain(addToBlockChain $parameters)
    {
      return $this->__soapCall('addToBlockChain', array($parameters));
    }

    /**
     * *
     *
     * @param listBlockChainFiles $parameters
     * @return listBlockChainFilesResponse
     */
    public function listBlockChainFiles(listBlockChainFiles $parameters)
    {
      return $this->__soapCall('listBlockChainFiles', array($parameters));
    }

    /**
     * *
     *
     * @param getBlockChainFile $parameters
     * @return getBlockChainFileResponse
     */
    public function getBlockChainFile(getBlockChainFile $parameters)
    {
      return $this->__soapCall('getBlockChainFile', array($parameters));
    }

}
