<?php

namespace PSA\WS\FatturaPA;

class AliquotaIVA
{

    /**
     * @var string $codice
     */
    protected $codice = null;

    /**
     * @var string $descrizione
     */
    protected $descrizione = null;

    /**
     * @var string $sigla
     */
    protected $sigla = null;

    /**
     * @var int $aliquota
     */
    protected $aliquota = null;

    /**
     * @var string $detraibilita
     */
    protected $detraibilita = null;

    /**
     * @var string $esigibilita
     */
    protected $esigibilita = null;

    /**
     * @var string $natura
     */
    protected $natura = null;

    /**
     * @var boolean $acquisti
     */
    protected $acquisti = null;

    /**
     * @var boolean $vendite
     */
    protected $vendite = null;

    /**
     * @var boolean $split_payment
     */
    protected $split_payment = null;

    /**
     * @var string $codice_split_payment
     */
    protected $codice_split_payment = null;

    /**
     * @var boolean $ritenuta_acconto
     */
    protected $ritenuta_acconto = null;

    /**
     * @var boolean $cassa_previdenziale
     */
    protected $cassa_previdenziale = null;

    
    public function __construct()
    {
    
    }

    /**
     * @return string
     */
    public function getCodice()
    {
      return $this->codice;
    }

    /**
     * @param string $codice
     * @return \PSA\WS\FatturaPA\AliquotaIVA
     */
    public function setCodice($codice)
    {
      $this->codice = $codice;
      return $this;
    }

    /**
     * @return string
     */
    public function getDescrizione()
    {
      return $this->descrizione;
    }

    /**
     * @param string $descrizione
     * @return \PSA\WS\FatturaPA\AliquotaIVA
     */
    public function setDescrizione($descrizione)
    {
      $this->descrizione = $descrizione;
      return $this;
    }

    /**
     * @return string
     */
    public function getSigla()
    {
      return $this->sigla;
    }

    /**
     * @param string $sigla
     * @return \PSA\WS\FatturaPA\AliquotaIVA
     */
    public function setSigla($sigla)
    {
      $this->sigla = $sigla;
      return $this;
    }

    /**
     * @return int
     */
    public function getAliquota()
    {
      return $this->aliquota;
    }

    /**
     * @param int $aliquota
     * @return \PSA\WS\FatturaPA\AliquotaIVA
     */
    public function setAliquota($aliquota)
    {
      $this->aliquota = $aliquota;
      return $this;
    }

    /**
     * @return string
     */
    public function getDetraibilita()
    {
      return $this->detraibilita;
    }

    /**
     * @param string $detraibilita
     * @return \PSA\WS\FatturaPA\AliquotaIVA
     */
    public function setDetraibilita($detraibilita)
    {
      $this->detraibilita = $detraibilita;
      return $this;
    }

    /**
     * @return string
     */
    public function getEsigibilita()
    {
      return $this->esigibilita;
    }

    /**
     * @param string $esigibilita
     * @return \PSA\WS\FatturaPA\AliquotaIVA
     */
    public function setEsigibilita($esigibilita)
    {
      $this->esigibilita = $esigibilita;
      return $this;
    }

    /**
     * @return string
     */
    public function getNatura()
    {
      return $this->natura;
    }

    /**
     * @param string $natura
     * @return \PSA\WS\FatturaPA\AliquotaIVA
     */
    public function setNatura($natura)
    {
      $this->natura = $natura;
      return $this;
    }

    /**
     * @return boolean
     */
    public function getAcquisti()
    {
      return $this->acquisti;
    }

    /**
     * @param boolean $acquisti
     * @return \PSA\WS\FatturaPA\AliquotaIVA
     */
    public function setAcquisti($acquisti)
    {
      $this->acquisti = $acquisti;
      return $this;
    }

    /**
     * @return boolean
     */
    public function getVendite()
    {
      return $this->vendite;
    }

    /**
     * @param boolean $vendite
     * @return \PSA\WS\FatturaPA\AliquotaIVA
     */
    public function setVendite($vendite)
    {
      $this->vendite = $vendite;
      return $this;
    }

    /**
     * @return boolean
     */
    public function getSplit_payment()
    {
      return $this->split_payment;
    }

    /**
     * @param boolean $split_payment
     * @return \PSA\WS\FatturaPA\AliquotaIVA
     */
    public function setSplit_payment($split_payment)
    {
      $this->split_payment = $split_payment;
      return $this;
    }

    /**
     * @return string
     */
    public function getCodice_split_payment()
    {
      return $this->codice_split_payment;
    }

    /**
     * @param string $codice_split_payment
     * @return \PSA\WS\FatturaPA\AliquotaIVA
     */
    public function setCodice_split_payment($codice_split_payment)
    {
      $this->codice_split_payment = $codice_split_payment;
      return $this;
    }

    /**
     * @return boolean
     */
    public function getRitenuta_acconto()
    {
      return $this->ritenuta_acconto;
    }

    /**
     * @param boolean $ritenuta_acconto
     * @return \PSA\WS\FatturaPA\AliquotaIVA
     */
    public function setRitenuta_acconto($ritenuta_acconto)
    {
      $this->ritenuta_acconto = $ritenuta_acconto;
      return $this;
    }

    /**
     * @return boolean
     */
    public function getCassa_previdenziale()
    {
      return $this->cassa_previdenziale;
    }

    /**
     * @param boolean $cassa_previdenziale
     * @return \PSA\WS\FatturaPA\AliquotaIVA
     */
    public function setCassa_previdenziale($cassa_previdenziale)
    {
      $this->cassa_previdenziale = $cassa_previdenziale;
      return $this;
    }

}
