<?php

namespace PSA\WS\FatturaPA;

class Fattura
{

    /**
     * @var string $uuid
     */
    protected $uuid = null;

    /**
     * @var string $uuid_utente
     */
    protected $uuid_utente = null;

    /**
     * @var string $action
     */
    protected $action = null;

    /**
     * @var int $autofattura
     */
    protected $autofattura = null;

    /**
     * @var Sezionale $sezionale
     */
    protected $sezionale = null;

    /**
     * @var string $categoria
     */
    protected $categoria = null;

    /**
     * @var string $numero_fattura
     */
    protected $numero_fattura = null;

    /**
     * @var string $regime_fiscale
     */
    protected $regime_fiscale = null;

    /**
     * @var string $tipo_documento
     */
    protected $tipo_documento = null;

    /**
     * @var string $divisa
     */
    protected $divisa = null;

    /**
     * @var string $pa_or_pr
     */
    protected $pa_or_pr = null;

    /**
     * @var string $oggetto
     */
    protected $oggetto = null;

    /**
     * @var string $condizioni
     */
    protected $condizioni = null;

    /**
     * @var string $soggetto_emittente
     */
    protected $soggetto_emittente = null;

    /**
     * @var Mittente $mittente
     */
    protected $mittente = null;

    /**
     * @var Destinatario $destinatario
     */
    protected $destinatario = null;

    /**
     * @var ArrayOfProdotti $Prodotti
     */
    protected $Prodotti = null;

    /**
     * @var ArrayOfScontoMaggiorazione $ScontoMaggiorazione
     */
    protected $ScontoMaggiorazione = null;

    /**
     * @var string $percentuale_ritenuta
     */
    protected $percentuale_ritenuta = null;

    /**
     * @var string $base_imponibile_ritenuta
     */
    protected $base_imponibile_ritenuta = null;

    /**
     * @var string $causale_ritenuta
     */
    protected $causale_ritenuta = null;

    /**
     * @var Pagamento $pagamento
     */
    protected $pagamento = null;

    /**
     * @var CassaPrevidenziale $cassaPrevidenziale
     */
    protected $cassaPrevidenziale = null;

    /**
     * @var string $aliquota_iva
     */
    protected $aliquota_iva = null;

    /**
     * @var int $auto_send
     */
    protected $auto_send = null;

    /**
     * @var int $bollo_virtuale
     */
    protected $bollo_virtuale = null;

    /**
     * @var ArrayOfAllegato $Allegati
     */
    protected $Allegati = null;

    /**
     * @var ArrayOfDocumentoCorrelato $ordine_acquisto
     */
    protected $ordine_acquisto = null;

    /**
     * @var ArrayOfDocumentoCorrelato $contratto
     */
    protected $contratto = null;

    /**
     * @var ArrayOfDocumentoCorrelato $convenzione
     */
    protected $convenzione = null;

    /**
     * @var ArrayOfDocumentoCorrelato $ricezione
     */
    protected $ricezione = null;

    /**
     * @var ArrayOfDocumentoCorrelato $fatture_correlate
     */
    protected $fatture_correlate = null;

    /**
     * @var int $invia_proforma
     */
    protected $invia_proforma = null;

    /**
     * @var int $data_documento
     */
    protected $data_documento = null;

    /**
     * @var int $data_ricorrenza
     */
    protected $data_ricorrenza = null;

    /**
     * @var int $intervallo_ricorrenza
     */
    protected $intervallo_ricorrenza = null;

    /**
     * @var int $numero_ricorrenze
     */
    protected $numero_ricorrenze = null;

    /**
     * @var int $forza_firma
     */
    protected $forza_firma = null;

    /**
     * @var int $gestisci_minimi
     */
    protected $gestisci_minimi = null;

    /**
     * @param int $auto_send
     * @param int $bollo_virtuale
     * @param int $invia_proforma
     * @param int $data_documento
     * @param int $data_ricorrenza
     * @param int $intervallo_ricorrenza
     * @param int $numero_ricorrenze
     * @param int $forza_firma
     * @param int $gestisci_minimi
     */
    public function __construct($auto_send, $bollo_virtuale, $invia_proforma, $data_documento, $data_ricorrenza, $intervallo_ricorrenza, $numero_ricorrenze, $forza_firma, $gestisci_minimi)
    {
      $this->auto_send = $auto_send;
      $this->bollo_virtuale = $bollo_virtuale;
      $this->invia_proforma = $invia_proforma;
      $this->data_documento = $data_documento;
      $this->data_ricorrenza = $data_ricorrenza;
      $this->intervallo_ricorrenza = $intervallo_ricorrenza;
      $this->numero_ricorrenze = $numero_ricorrenze;
      $this->forza_firma = $forza_firma;
      $this->gestisci_minimi = $gestisci_minimi;
    }

    /**
     * @return string
     */
    public function getUuid()
    {
      return $this->uuid;
    }

    /**
     * @param string $uuid
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setUuid($uuid)
    {
      $this->uuid = $uuid;
      return $this;
    }

    /**
     * @return string
     */
    public function getUuid_utente()
    {
      return $this->uuid_utente;
    }

    /**
     * @param string $uuid_utente
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setUuid_utente($uuid_utente)
    {
      $this->uuid_utente = $uuid_utente;
      return $this;
    }

    /**
     * @return string
     */
    public function getAction()
    {
      return $this->action;
    }

    /**
     * @param string $action
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setAction($action)
    {
      $this->action = $action;
      return $this;
    }

    /**
     * @return int
     */
    public function getAutofattura()
    {
      return $this->autofattura;
    }

    /**
     * @param int $autofattura
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setAutofattura($autofattura)
    {
      $this->autofattura = $autofattura;
      return $this;
    }

    /**
     * @return Sezionale
     */
    public function getSezionale()
    {
      return $this->sezionale;
    }

    /**
     * @param Sezionale $sezionale
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setSezionale($sezionale)
    {
      $this->sezionale = $sezionale;
      return $this;
    }

    /**
     * @return string
     */
    public function getCategoria()
    {
      return $this->categoria;
    }

    /**
     * @param string $categoria
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setCategoria($categoria)
    {
      $this->categoria = $categoria;
      return $this;
    }

    /**
     * @return string
     */
    public function getNumero_fattura()
    {
      return $this->numero_fattura;
    }

    /**
     * @param string $numero_fattura
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setNumero_fattura($numero_fattura)
    {
      $this->numero_fattura = $numero_fattura;
      return $this;
    }

    /**
     * @return string
     */
    public function getRegime_fiscale()
    {
      return $this->regime_fiscale;
    }

    /**
     * @param string $regime_fiscale
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setRegime_fiscale($regime_fiscale)
    {
      $this->regime_fiscale = $regime_fiscale;
      return $this;
    }

    /**
     * @return string
     */
    public function getTipo_documento()
    {
      return $this->tipo_documento;
    }

    /**
     * @param string $tipo_documento
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setTipo_documento($tipo_documento)
    {
      $this->tipo_documento = $tipo_documento;
      return $this;
    }

    /**
     * @return string
     */
    public function getDivisa()
    {
      return $this->divisa;
    }

    /**
     * @param string $divisa
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setDivisa($divisa)
    {
      $this->divisa = $divisa;
      return $this;
    }

    /**
     * @return string
     */
    public function getPa_or_pr()
    {
      return $this->pa_or_pr;
    }

    /**
     * @param string $pa_or_pr
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setPa_or_pr($pa_or_pr)
    {
      $this->pa_or_pr = $pa_or_pr;
      return $this;
    }

    /**
     * @return string
     */
    public function getOggetto()
    {
      return $this->oggetto;
    }

    /**
     * @param string $oggetto
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setOggetto($oggetto)
    {
      $this->oggetto = $oggetto;
      return $this;
    }

    /**
     * @return string
     */
    public function getCondizioni()
    {
      return $this->condizioni;
    }

    /**
     * @param string $condizioni
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setCondizioni($condizioni)
    {
      $this->condizioni = $condizioni;
      return $this;
    }

    /**
     * @return string
     */
    public function getSoggetto_emittente()
    {
      return $this->soggetto_emittente;
    }

    /**
     * @param string $soggetto_emittente
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setSoggetto_emittente($soggetto_emittente)
    {
      $this->soggetto_emittente = $soggetto_emittente;
      return $this;
    }

    /**
     * @return Mittente
     */
    public function getMittente()
    {
      return $this->mittente;
    }

    /**
     * @param Mittente $mittente
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setMittente($mittente)
    {
      $this->mittente = $mittente;
      return $this;
    }

    /**
     * @return Destinatario
     */
    public function getDestinatario()
    {
      return $this->destinatario;
    }

    /**
     * @param Destinatario $destinatario
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setDestinatario($destinatario)
    {
      $this->destinatario = $destinatario;
      return $this;
    }

    /**
     * @return ArrayOfProdotti
     */
    public function getProdotti()
    {
      return $this->Prodotti;
    }

    /**
     * @param ArrayOfProdotti $Prodotti
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setProdotti($Prodotti)
    {
      $this->Prodotti = $Prodotti;
      return $this;
    }

    /**
     * @return ArrayOfScontoMaggiorazione
     */
    public function getScontoMaggiorazione()
    {
      return $this->ScontoMaggiorazione;
    }

    /**
     * @param ArrayOfScontoMaggiorazione $ScontoMaggiorazione
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setScontoMaggiorazione($ScontoMaggiorazione)
    {
      $this->ScontoMaggiorazione = $ScontoMaggiorazione;
      return $this;
    }

    /**
     * @return string
     */
    public function getPercentuale_ritenuta()
    {
      return $this->percentuale_ritenuta;
    }

    /**
     * @param string $percentuale_ritenuta
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setPercentuale_ritenuta($percentuale_ritenuta)
    {
      $this->percentuale_ritenuta = $percentuale_ritenuta;
      return $this;
    }

    /**
     * @return string
     */
    public function getBase_imponibile_ritenuta()
    {
      return $this->base_imponibile_ritenuta;
    }

    /**
     * @param string $base_imponibile_ritenuta
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setBase_imponibile_ritenuta($base_imponibile_ritenuta)
    {
      $this->base_imponibile_ritenuta = $base_imponibile_ritenuta;
      return $this;
    }

    /**
     * @return string
     */
    public function getCausale_ritenuta()
    {
      return $this->causale_ritenuta;
    }

    /**
     * @param string $causale_ritenuta
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setCausale_ritenuta($causale_ritenuta)
    {
      $this->causale_ritenuta = $causale_ritenuta;
      return $this;
    }

    /**
     * @return Pagamento
     */
    public function getPagamento()
    {
      return $this->pagamento;
    }

    /**
     * @param Pagamento $pagamento
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setPagamento($pagamento)
    {
      $this->pagamento = $pagamento;
      return $this;
    }

    /**
     * @return CassaPrevidenziale
     */
    public function getCassaPrevidenziale()
    {
      return $this->cassaPrevidenziale;
    }

    /**
     * @param CassaPrevidenziale $cassaPrevidenziale
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setCassaPrevidenziale($cassaPrevidenziale)
    {
      $this->cassaPrevidenziale = $cassaPrevidenziale;
      return $this;
    }

    /**
     * @return string
     */
    public function getAliquota_iva()
    {
      return $this->aliquota_iva;
    }

    /**
     * @param string $aliquota_iva
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setAliquota_iva($aliquota_iva)
    {
      $this->aliquota_iva = $aliquota_iva;
      return $this;
    }

    /**
     * @return int
     */
    public function getAuto_send()
    {
      return $this->auto_send;
    }

    /**
     * @param int $auto_send
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setAuto_send($auto_send)
    {
      $this->auto_send = $auto_send;
      return $this;
    }

    /**
     * @return int
     */
    public function getBollo_virtuale()
    {
      return $this->bollo_virtuale;
    }

    /**
     * @param int $bollo_virtuale
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setBollo_virtuale($bollo_virtuale)
    {
      $this->bollo_virtuale = $bollo_virtuale;
      return $this;
    }

    /**
     * @return ArrayOfAllegato
     */
    public function getAllegati()
    {
      return $this->Allegati;
    }

    /**
     * @param ArrayOfAllegato $Allegati
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setAllegati($Allegati)
    {
      $this->Allegati = $Allegati;
      return $this;
    }

    /**
     * @return ArrayOfDocumentoCorrelato
     */
    public function getOrdine_acquisto()
    {
      return $this->ordine_acquisto;
    }

    /**
     * @param ArrayOfDocumentoCorrelato $ordine_acquisto
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setOrdine_acquisto($ordine_acquisto)
    {
      $this->ordine_acquisto = $ordine_acquisto;
      return $this;
    }

    /**
     * @return ArrayOfDocumentoCorrelato
     */
    public function getContratto()
    {
      return $this->contratto;
    }

    /**
     * @param ArrayOfDocumentoCorrelato $contratto
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setContratto($contratto)
    {
      $this->contratto = $contratto;
      return $this;
    }

    /**
     * @return ArrayOfDocumentoCorrelato
     */
    public function getConvenzione()
    {
      return $this->convenzione;
    }

    /**
     * @param ArrayOfDocumentoCorrelato $convenzione
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setConvenzione($convenzione)
    {
      $this->convenzione = $convenzione;
      return $this;
    }

    /**
     * @return ArrayOfDocumentoCorrelato
     */
    public function getRicezione()
    {
      return $this->ricezione;
    }

    /**
     * @param ArrayOfDocumentoCorrelato $ricezione
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setRicezione($ricezione)
    {
      $this->ricezione = $ricezione;
      return $this;
    }

    /**
     * @return ArrayOfDocumentoCorrelato
     */
    public function getFatture_correlate()
    {
      return $this->fatture_correlate;
    }

    /**
     * @param ArrayOfDocumentoCorrelato $fatture_correlate
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setFatture_correlate($fatture_correlate)
    {
      $this->fatture_correlate = $fatture_correlate;
      return $this;
    }

    /**
     * @return int
     */
    public function getInvia_proforma()
    {
      return $this->invia_proforma;
    }

    /**
     * @param int $invia_proforma
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setInvia_proforma($invia_proforma)
    {
      $this->invia_proforma = $invia_proforma;
      return $this;
    }

    /**
     * @return int
     */
    public function getData_documento()
    {
      return $this->data_documento;
    }

    /**
     * @param int $data_documento
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setData_documento($data_documento)
    {
      $this->data_documento = $data_documento;
      return $this;
    }

    /**
     * @return int
     */
    public function getData_ricorrenza()
    {
      return $this->data_ricorrenza;
    }

    /**
     * @param int $data_ricorrenza
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setData_ricorrenza($data_ricorrenza)
    {
      $this->data_ricorrenza = $data_ricorrenza;
      return $this;
    }

    /**
     * @return int
     */
    public function getIntervallo_ricorrenza()
    {
      return $this->intervallo_ricorrenza;
    }

    /**
     * @param int $intervallo_ricorrenza
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setIntervallo_ricorrenza($intervallo_ricorrenza)
    {
      $this->intervallo_ricorrenza = $intervallo_ricorrenza;
      return $this;
    }

    /**
     * @return int
     */
    public function getNumero_ricorrenze()
    {
      return $this->numero_ricorrenze;
    }

    /**
     * @param int $numero_ricorrenze
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setNumero_ricorrenze($numero_ricorrenze)
    {
      $this->numero_ricorrenze = $numero_ricorrenze;
      return $this;
    }

    /**
     * @return int
     */
    public function getForza_firma()
    {
      return $this->forza_firma;
    }

    /**
     * @param int $forza_firma
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setForza_firma($forza_firma)
    {
      $this->forza_firma = $forza_firma;
      return $this;
    }

    /**
     * @return int
     */
    public function getGestisci_minimi()
    {
      return $this->gestisci_minimi;
    }

    /**
     * @param int $gestisci_minimi
     * @return \PSA\WS\FatturaPA\Fattura
     */
    public function setGestisci_minimi($gestisci_minimi)
    {
      $this->gestisci_minimi = $gestisci_minimi;
      return $this;
    }

}
