<?php

namespace PSA\WS\File;

class FileService extends \SoapClient
{

    /**
     * @var array $classmap The defined classes
     */
    private static $classmap = array (
      'File' => 'PSA\\WS\\File\\File',
      'upload' => 'PSA\\WS\\File\\upload',
      'uploadResponse' => 'PSA\\WS\\File\\uploadResponse',
      'sign' => 'PSA\\WS\\File\\sign',
      'signResponse' => 'PSA\\WS\\File\\signResponse',
      'uploadSignedInvoice' => 'PSA\\WS\\File\\uploadSignedInvoice',
      'uploadSignedInvoiceResponse' => 'PSA\\WS\\File\\uploadSignedInvoiceResponse',
      'FirmaAndPec' => 'PSA\\WS\\File\\FirmaAndPec',
      'FirmaAndPecResponse' => 'PSA\\WS\\File\\FirmaAndPecResponse',
      'EstraiP7M' => 'PSA\\WS\\File\\EstraiP7M',
      'EstraiP7MResponse' => 'PSA\\WS\\File\\EstraiP7MResponse',
    );

    /**
     * @param array $options A array of config values
     * @param string $wsdl The wsdl file to use
     */
    public function __construct(array $options = array(), $wsdl = null)
    {
      foreach (self::$classmap as $key => $value) {
        if (!isset($options['classmap'][$key])) {
          $options['classmap'][$key] = $value;
        }
      }
      $options = array_merge(array (
      'verifypeer' => false,
      'verifyhost' => false,
      'stream_context' => NULL,
      'trace' => 1,
      'exceptions' => 1,
      'features' => 1,
    ), $options);
      if (!$wsdl) {
        $wsdl = 'https://webservice-dev-int.fatturagratis.net:443/index.php?wsdl&module=file';
      }
      parent::__construct($wsdl, $options);
    }

    /**
     * *
     *
     * @param upload $parameters
     * @return uploadResponse
     */
    public function upload(upload $parameters)
    {
      return $this->__soapCall('upload', array($parameters));
    }

    /**
     * *
     *
     * @param sign $parameters
     * @return signResponse
     */
    public function sign(sign $parameters)
    {
      return $this->__soapCall('sign', array($parameters));
    }

    /**
     * *
     *
     * @param uploadSignedInvoice $parameters
     * @return uploadSignedInvoiceResponse
     */
    public function uploadSignedInvoice(uploadSignedInvoice $parameters)
    {
      return $this->__soapCall('uploadSignedInvoice', array($parameters));
    }

    /**
     * *
     *
     * @param FirmaAndPec $parameters
     * @return FirmaAndPecResponse
     */
    public function FirmaAndPec(FirmaAndPec $parameters)
    {
      return $this->__soapCall('FirmaAndPec', array($parameters));
    }

    /**
     * *
     *
     * @param EstraiP7M $parameters
     * @return EstraiP7MResponse
     */
    public function EstraiP7M(EstraiP7M $parameters)
    {
      return $this->__soapCall('EstraiP7M', array($parameters));
    }

}
