<?php

namespace PSA\WS\Inventario;

class CaricoScarico
{

    /**
     * @var Magazzino $magazzino
     */
    protected $magazzino = null;

    /**
     * @var float $impegnato
     */
    protected $impegnato = null;

    /**
     * @var float $quantita
     */
    protected $quantita = null;

    /**
     * @var float $ordinato
     */
    protected $ordinato = null;

    /**
     * @var string $ubicazione
     */
    protected $ubicazione = null;

    /**
     * @var string $stato
     */
    protected $stato = null;

    /**
     * @var string $note
     */
    protected $note = null;

    /**
     * @param float $impegnato
     * @param float $quantita
     * @param float $ordinato
     * @param string $ubicazione
     * @param string $stato
     * @param string $note
     */
    public function __construct($impegnato, $quantita, $ordinato, $ubicazione, $stato, $note)
    {
      $this->impegnato = $impegnato;
      $this->quantita = $quantita;
      $this->ordinato = $ordinato;
      $this->ubicazione = $ubicazione;
      $this->stato = $stato;
      $this->note = $note;
    }

    /**
     * @return Magazzino
     */
    public function getMagazzino()
    {
      return $this->magazzino;
    }

    /**
     * @param Magazzino $magazzino
     * @return \PSA\WS\Inventario\CaricoScarico
     */
    public function setMagazzino($magazzino)
    {
      $this->magazzino = $magazzino;
      return $this;
    }

    /**
     * @return float
     */
    public function getImpegnato()
    {
      return $this->impegnato;
    }

    /**
     * @param float $impegnato
     * @return \PSA\WS\Inventario\CaricoScarico
     */
    public function setImpegnato($impegnato)
    {
      $this->impegnato = $impegnato;
      return $this;
    }

    /**
     * @return float
     */
    public function getQuantita()
    {
      return $this->quantita;
    }

    /**
     * @param float $quantita
     * @return \PSA\WS\Inventario\CaricoScarico
     */
    public function setQuantita($quantita)
    {
      $this->quantita = $quantita;
      return $this;
    }

    /**
     * @return float
     */
    public function getOrdinato()
    {
      return $this->ordinato;
    }

    /**
     * @param float $ordinato
     * @return \PSA\WS\Inventario\CaricoScarico
     */
    public function setOrdinato($ordinato)
    {
      $this->ordinato = $ordinato;
      return $this;
    }

    /**
     * @return string
     */
    public function getUbicazione()
    {
      return $this->ubicazione;
    }

    /**
     * @param string $ubicazione
     * @return \PSA\WS\Inventario\CaricoScarico
     */
    public function setUbicazione($ubicazione)
    {
      $this->ubicazione = $ubicazione;
      return $this;
    }

    /**
     * @return string
     */
    public function getStato()
    {
      return $this->stato;
    }

    /**
     * @param string $stato
     * @return \PSA\WS\Inventario\CaricoScarico
     */
    public function setStato($stato)
    {
      $this->stato = $stato;
      return $this;
    }

    /**
     * @return string
     */
    public function getNote()
    {
      return $this->note;
    }

    /**
     * @param string $note
     * @return \PSA\WS\Inventario\CaricoScarico
     */
    public function setNote($note)
    {
      $this->note = $note;
      return $this;
    }

}
