<?php

namespace PSA\WS\Inventario;

class InventarioService extends \SoapClient
{

    /**
     * @var array $classmap The defined classes
     */
    private static $classmap = array (
      'AliquotaIVA' => 'PSA\\WS\\Inventario\\AliquotaIVA',
      'ScontoMaggiorazione' => 'PSA\\WS\\Inventario\\ScontoMaggiorazione',
      'ArrayOfScontoMaggiorazione' => 'PSA\\WS\\Inventario\\ArrayOfScontoMaggiorazione',
      'Contatto' => 'PSA\\WS\\Inventario\\Contatto',
      'ArrayOfContatto' => 'PSA\\WS\\Inventario\\ArrayOfContatto',
      'Indirizzo' => 'PSA\\WS\\Inventario\\Indirizzo',
      'Magazzino' => 'PSA\\WS\\Inventario\\Magazzino',
      'CaricoScarico' => 'PSA\\WS\\Inventario\\CaricoScarico',
      'Prodotti' => 'PSA\\WS\\Inventario\\Prodotti',
      'nuovoProdotto' => 'PSA\\WS\\Inventario\\nuovoProdotto',
      'nuovoProdottoResponse' => 'PSA\\WS\\Inventario\\nuovoProdottoResponse',
      'listaProdotti' => 'PSA\\WS\\Inventario\\listaProdotti',
      'ArrayOfString' => 'PSA\\WS\\Inventario\\ArrayOfString',
      'listaProdottiResponse' => 'PSA\\WS\\Inventario\\listaProdottiResponse',
      'getProdotto' => 'PSA\\WS\\Inventario\\getProdotto',
      'getProdottoResponse' => 'PSA\\WS\\Inventario\\getProdottoResponse',
      'eliminaProdotto' => 'PSA\\WS\\Inventario\\eliminaProdotto',
      'eliminaProdottoResponse' => 'PSA\\WS\\Inventario\\eliminaProdottoResponse',
      'modificaProdotto' => 'PSA\\WS\\Inventario\\modificaProdotto',
      'modificaProdottoResponse' => 'PSA\\WS\\Inventario\\modificaProdottoResponse',
      'nuovoMagazzino' => 'PSA\\WS\\Inventario\\nuovoMagazzino',
      'nuovoMagazzinoResponse' => 'PSA\\WS\\Inventario\\nuovoMagazzinoResponse',
      'listaMagazzini' => 'PSA\\WS\\Inventario\\listaMagazzini',
      'listaMagazziniResponse' => 'PSA\\WS\\Inventario\\listaMagazziniResponse',
      'getMagazzino' => 'PSA\\WS\\Inventario\\getMagazzino',
      'getMagazzinoResponse' => 'PSA\\WS\\Inventario\\getMagazzinoResponse',
      'modificaMagazzino' => 'PSA\\WS\\Inventario\\modificaMagazzino',
      'modificaMagazzinoResponse' => 'PSA\\WS\\Inventario\\modificaMagazzinoResponse',
      'eliminaMagazzino' => 'PSA\\WS\\Inventario\\eliminaMagazzino',
      'eliminaMagazzinoResponse' => 'PSA\\WS\\Inventario\\eliminaMagazzinoResponse',
      'aggiungiCaricoScaricoProdotto' => 'PSA\\WS\\Inventario\\aggiungiCaricoScaricoProdotto',
      'aggiungiCaricoScaricoProdottoResponse' => 'PSA\\WS\\Inventario\\aggiungiCaricoScaricoProdottoResponse',
      'verificaCaricoScaricoProdotto' => 'PSA\\WS\\Inventario\\verificaCaricoScaricoProdotto',
      'verificaCaricoScaricoProdottoResponse' => 'PSA\\WS\\Inventario\\verificaCaricoScaricoProdottoResponse',
      'cercaCaricoScaricoProdotto' => 'PSA\\WS\\Inventario\\cercaCaricoScaricoProdotto',
      'cercaCaricoScaricoProdottoResponse' => 'PSA\\WS\\Inventario\\cercaCaricoScaricoProdottoResponse',
    );

    /**
     * @param array $options A array of config values
     * @param string $wsdl The wsdl file to use
     */
    public function __construct(array $options = array(), $wsdl = null)
    {
      foreach (self::$classmap as $key => $value) {
        if (!isset($options['classmap'][$key])) {
          $options['classmap'][$key] = $value;
        }
      }
      $options = array_merge(array (
      'verifypeer' => false,
      'verifyhost' => false,
      'stream_context' => NULL,
      'trace' => 1,
      'exceptions' => 1,
      'features' => 1,
    ), $options);
      if (!$wsdl) {
        $wsdl = 'https://webservice-dev-int.fatturagratis.net:443/index.php?wsdl&module=inventario';
      }
      parent::__construct($wsdl, $options);
    }

    /**
     * *
     *
     * @param nuovoProdotto $parameters
     * @return nuovoProdottoResponse
     */
    public function nuovoProdotto(nuovoProdotto $parameters)
    {
      return $this->__soapCall('nuovoProdotto', array($parameters));
    }

    /**
     * *
     *
     * @param listaProdotti $parameters
     * @return listaProdottiResponse
     */
    public function listaProdotti(listaProdotti $parameters)
    {
      return $this->__soapCall('listaProdotti', array($parameters));
    }

    /**
     * *
     *
     * @param getProdotto $parameters
     * @return getProdottoResponse
     */
    public function getProdotto(getProdotto $parameters)
    {
      return $this->__soapCall('getProdotto', array($parameters));
    }

    /**
     * *
     *
     * @param eliminaProdotto $parameters
     * @return eliminaProdottoResponse
     */
    public function eliminaProdotto(eliminaProdotto $parameters)
    {
      return $this->__soapCall('eliminaProdotto', array($parameters));
    }

    /**
     * *
     *
     * @param modificaProdotto $parameters
     * @return modificaProdottoResponse
     */
    public function modificaProdotto(modificaProdotto $parameters)
    {
      return $this->__soapCall('modificaProdotto', array($parameters));
    }

    /**
     * *
     *
     * @param nuovoMagazzino $parameters
     * @return nuovoMagazzinoResponse
     */
    public function nuovoMagazzino(nuovoMagazzino $parameters)
    {
      return $this->__soapCall('nuovoMagazzino', array($parameters));
    }

    /**
     * *
     *
     * @param listaMagazzini $parameters
     * @return listaMagazziniResponse
     */
    public function listaMagazzini(listaMagazzini $parameters)
    {
      return $this->__soapCall('listaMagazzini', array($parameters));
    }

    /**
     * *
     *
     * @param getMagazzino $parameters
     * @return getMagazzinoResponse
     */
    public function getMagazzino(getMagazzino $parameters)
    {
      return $this->__soapCall('getMagazzino', array($parameters));
    }

    /**
     * *
     *
     * @param modificaMagazzino $parameters
     * @return modificaMagazzinoResponse
     */
    public function modificaMagazzino(modificaMagazzino $parameters)
    {
      return $this->__soapCall('modificaMagazzino', array($parameters));
    }

    /**
     * *
     *
     * @param eliminaMagazzino $parameters
     * @return eliminaMagazzinoResponse
     */
    public function eliminaMagazzino(eliminaMagazzino $parameters)
    {
      return $this->__soapCall('eliminaMagazzino', array($parameters));
    }

    /**
     * * Quando la quantità è negativa vuol dire che c'è stata una vendita, quando è positiva c'è stato un acquisto*
     *
     * @param aggiungiCaricoScaricoProdotto $parameters
     * @return aggiungiCaricoScaricoProdottoResponse
     */
    public function aggiungiCaricoScaricoProdotto(aggiungiCaricoScaricoProdotto $parameters)
    {
      return $this->__soapCall('aggiungiCaricoScaricoProdotto', array($parameters));
    }

    /**
     * *
     *
     * @param verificaCaricoScaricoProdotto $parameters
     * @return verificaCaricoScaricoProdottoResponse
     */
    public function verificaCaricoScaricoProdotto(verificaCaricoScaricoProdotto $parameters)
    {
      return $this->__soapCall('verificaCaricoScaricoProdotto', array($parameters));
    }

    /**
     * *
     *
     * @param cercaCaricoScaricoProdotto $parameters
     * @return cercaCaricoScaricoProdottoResponse
     */
    public function cercaCaricoScaricoProdotto(cercaCaricoScaricoProdotto $parameters)
    {
      return $this->__soapCall('cercaCaricoScaricoProdotto', array($parameters));
    }

}
