<?php

namespace PSA\WS\Inventario;

class Prodotti
{

    /**
     * @var string $uuid
     */
    protected $uuid = null;

    /**
     * @var string $uuid_utente
     */
    protected $uuid_utente = null;

    /**
     * @var string $codice
     */
    protected $codice = null;

    /**
     * @var string $prodotto
     */
    protected $prodotto = null;

    /**
     * @var string $descrizione
     */
    protected $descrizione = null;

    /**
     * @var string $pricebook
     */
    protected $pricebook = null;

    /**
     * @var int $esenzione_bollo
     */
    protected $esenzione_bollo = null;

    /**
     * @var float $iva
     */
    protected $iva = null;

    /**
     * @var AliquotaIVA $aliquota_iva
     */
    protected $aliquota_iva = null;

    /**
     * @var ArrayOfScontoMaggiorazione $ScontoMaggiorazione
     */
    protected $ScontoMaggiorazione = null;

    /**
     * @var float $quantita
     */
    protected $quantita = null;

    /**
     * @var float $prezzo
     */
    protected $prezzo = null;

    /**
     * @var string $unita
     */
    protected $unita = null;

    /**
     * @var int $ritenuta
     */
    protected $ritenuta = null;

    /**
     * @var string $esigibilitaIVA
     */
    protected $esigibilitaIVA = null;

    /**
     * @var string $natura
     */
    protected $natura = null;

    /**
     * @var string $riferimento_normativo
     */
    protected $riferimento_normativo = null;

    /**
     * @var string $categoria
     */
    protected $categoria = null;

    /**
     * @var string $tipologia
     */
    protected $tipologia = null;

    /**
     * @var string $codice_art_fornitore
     */
    protected $codice_art_fornitore = null;

    /**
     * @var Contatto $produttore
     */
    protected $produttore = null;

    /**
     * @var Contatto $fornitore
     */
    protected $fornitore = null;

    /**
     * @var ArrayOfContatto $altri_fornitore
     */
    protected $altri_fornitore = null;

    /**
     * @var Indirizzo $magazzino
     */
    protected $magazzino = null;

    /**
     * @var CaricoScarico $carichiscarichi
     */
    protected $carichiscarichi = null;

    /**
     * @var float $prezzo_acquisto
     */
    protected $prezzo_acquisto = null;

    /**
     * @var string $disponibile_dal
     */
    protected $disponibile_dal = null;

    /**
     * @var string $magazzino_uuid
     */
    protected $magazzino_uuid = null;

    /**
     * @param int $ritenuta
     */
    public function __construct($ritenuta)
    {
      $this->ritenuta = $ritenuta;
    }

    /**
     * @return string
     */
    public function getUuid()
    {
      return $this->uuid;
    }

    /**
     * @param string $uuid
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setUuid($uuid)
    {
      $this->uuid = $uuid;
      return $this;
    }

    /**
     * @return string
     */
    public function getUuid_utente()
    {
      return $this->uuid_utente;
    }

    /**
     * @param string $uuid_utente
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setUuid_utente($uuid_utente)
    {
      $this->uuid_utente = $uuid_utente;
      return $this;
    }

    /**
     * @return string
     */
    public function getCodice()
    {
      return $this->codice;
    }

    /**
     * @param string $codice
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setCodice($codice)
    {
      $this->codice = $codice;
      return $this;
    }

    /**
     * @return string
     */
    public function getProdotto()
    {
      return $this->prodotto;
    }

    /**
     * @param string $prodotto
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setProdotto($prodotto)
    {
      $this->prodotto = $prodotto;
      return $this;
    }

    /**
     * @return string
     */
    public function getDescrizione()
    {
      return $this->descrizione;
    }

    /**
     * @param string $descrizione
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setDescrizione($descrizione)
    {
      $this->descrizione = $descrizione;
      return $this;
    }

    /**
     * @return string
     */
    public function getPricebook()
    {
      return $this->pricebook;
    }

    /**
     * @param string $pricebook
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setPricebook($pricebook)
    {
      $this->pricebook = $pricebook;
      return $this;
    }

    /**
     * @return int
     */
    public function getEsenzione_bollo()
    {
      return $this->esenzione_bollo;
    }

    /**
     * @param int $esenzione_bollo
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setEsenzione_bollo($esenzione_bollo)
    {
      $this->esenzione_bollo = $esenzione_bollo;
      return $this;
    }

    /**
     * @return float
     */
    public function getIva()
    {
      return $this->iva;
    }

    /**
     * @param float $iva
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setIva($iva)
    {
      $this->iva = $iva;
      return $this;
    }

    /**
     * @return AliquotaIVA
     */
    public function getAliquota_iva()
    {
      return $this->aliquota_iva;
    }

    /**
     * @param AliquotaIVA $aliquota_iva
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setAliquota_iva($aliquota_iva)
    {
      $this->aliquota_iva = $aliquota_iva;
      return $this;
    }

    /**
     * @return ArrayOfScontoMaggiorazione
     */
    public function getScontoMaggiorazione()
    {
      return $this->ScontoMaggiorazione;
    }

    /**
     * @param ArrayOfScontoMaggiorazione $ScontoMaggiorazione
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setScontoMaggiorazione($ScontoMaggiorazione)
    {
      $this->ScontoMaggiorazione = $ScontoMaggiorazione;
      return $this;
    }

    /**
     * @return float
     */
    public function getQuantita()
    {
      return $this->quantita;
    }

    /**
     * @param float $quantita
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setQuantita($quantita)
    {
      $this->quantita = $quantita;
      return $this;
    }

    /**
     * @return float
     */
    public function getPrezzo()
    {
      return $this->prezzo;
    }

    /**
     * @param float $prezzo
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setPrezzo($prezzo)
    {
      $this->prezzo = $prezzo;
      return $this;
    }

    /**
     * @return string
     */
    public function getUnita()
    {
      return $this->unita;
    }

    /**
     * @param string $unita
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setUnita($unita)
    {
      $this->unita = $unita;
      return $this;
    }

    /**
     * @return int
     */
    public function getRitenuta()
    {
      return $this->ritenuta;
    }

    /**
     * @param int $ritenuta
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setRitenuta($ritenuta)
    {
      $this->ritenuta = $ritenuta;
      return $this;
    }

    /**
     * @return string
     */
    public function getEsigibilitaIVA()
    {
      return $this->esigibilitaIVA;
    }

    /**
     * @param string $esigibilitaIVA
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setEsigibilitaIVA($esigibilitaIVA)
    {
      $this->esigibilitaIVA = $esigibilitaIVA;
      return $this;
    }

    /**
     * @return string
     */
    public function getNatura()
    {
      return $this->natura;
    }

    /**
     * @param string $natura
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setNatura($natura)
    {
      $this->natura = $natura;
      return $this;
    }

    /**
     * @return string
     */
    public function getRiferimento_normativo()
    {
      return $this->riferimento_normativo;
    }

    /**
     * @param string $riferimento_normativo
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setRiferimento_normativo($riferimento_normativo)
    {
      $this->riferimento_normativo = $riferimento_normativo;
      return $this;
    }

    /**
     * @return string
     */
    public function getCategoria()
    {
      return $this->categoria;
    }

    /**
     * @param string $categoria
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setCategoria($categoria)
    {
      $this->categoria = $categoria;
      return $this;
    }

    /**
     * @return string
     */
    public function getTipologia()
    {
      return $this->tipologia;
    }

    /**
     * @param string $tipologia
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setTipologia($tipologia)
    {
      $this->tipologia = $tipologia;
      return $this;
    }

    /**
     * @return string
     */
    public function getCodice_art_fornitore()
    {
      return $this->codice_art_fornitore;
    }

    /**
     * @param string $codice_art_fornitore
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setCodice_art_fornitore($codice_art_fornitore)
    {
      $this->codice_art_fornitore = $codice_art_fornitore;
      return $this;
    }

    /**
     * @return Contatto
     */
    public function getProduttore()
    {
      return $this->produttore;
    }

    /**
     * @param Contatto $produttore
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setProduttore($produttore)
    {
      $this->produttore = $produttore;
      return $this;
    }

    /**
     * @return Contatto
     */
    public function getFornitore()
    {
      return $this->fornitore;
    }

    /**
     * @param Contatto $fornitore
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setFornitore($fornitore)
    {
      $this->fornitore = $fornitore;
      return $this;
    }

    /**
     * @return ArrayOfContatto
     */
    public function getAltri_fornitore()
    {
      return $this->altri_fornitore;
    }

    /**
     * @param ArrayOfContatto $altri_fornitore
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setAltri_fornitore($altri_fornitore)
    {
      $this->altri_fornitore = $altri_fornitore;
      return $this;
    }

    /**
     * @return Indirizzo
     */
    public function getMagazzino()
    {
      return $this->magazzino;
    }

    /**
     * @param Indirizzo $magazzino
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setMagazzino($magazzino)
    {
      $this->magazzino = $magazzino;
      return $this;
    }

    /**
     * @return CaricoScarico
     */
    public function getCarichiscarichi()
    {
      return $this->carichiscarichi;
    }

    /**
     * @param CaricoScarico $carichiscarichi
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setCarichiscarichi($carichiscarichi)
    {
      $this->carichiscarichi = $carichiscarichi;
      return $this;
    }

    /**
     * @return float
     */
    public function getPrezzo_acquisto()
    {
      return $this->prezzo_acquisto;
    }

    /**
     * @param float $prezzo_acquisto
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setPrezzo_acquisto($prezzo_acquisto)
    {
      $this->prezzo_acquisto = $prezzo_acquisto;
      return $this;
    }

    /**
     * @return string
     */
    public function getDisponibile_dal()
    {
      return $this->disponibile_dal;
    }

    /**
     * @param string $disponibile_dal
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setDisponibile_dal($disponibile_dal)
    {
      $this->disponibile_dal = $disponibile_dal;
      return $this;
    }

    /**
     * @return string
     */
    public function getMagazzino_uuid()
    {
      return $this->magazzino_uuid;
    }

    /**
     * @param string $magazzino_uuid
     * @return \PSA\WS\Inventario\Prodotti
     */
    public function setMagazzino_uuid($magazzino_uuid)
    {
      $this->magazzino_uuid = $magazzino_uuid;
      return $this;
    }

}
