<?php

namespace PSA\WS\LIPE;

class LIPEService extends \SoapClient
{

    /**
     * @var array $classmap The defined classes
     */
    private static $classmap = array (
      'get' => 'PSA\\WS\\LIPE\\get',
      'getResponse' => 'PSA\\WS\\LIPE\\getResponse',
      'send' => 'PSA\\WS\\LIPE\\send',
      'sendResponse' => 'PSA\\WS\\LIPE\\sendResponse',
      'status' => 'PSA\\WS\\LIPE\\status',
      'statusResponse' => 'PSA\\WS\\LIPE\\statusResponse',
      'isEditable' => 'PSA\\WS\\LIPE\\isEditable',
      'isEditableResponse' => 'PSA\\WS\\LIPE\\isEditableResponse',
      'LIPE' => 'PSA\\WS\\LIPE\\LIPE',
      'save' => 'PSA\\WS\\LIPE\\save',
      'saveResponse' => 'PSA\\WS\\LIPE\\saveResponse',
    );

    /**
     * @param array $options A array of config values
     * @param string $wsdl The wsdl file to use
     */
    public function __construct(array $options = array(), $wsdl = null)
    {
      foreach (self::$classmap as $key => $value) {
        if (!isset($options['classmap'][$key])) {
          $options['classmap'][$key] = $value;
        }
      }
      $options = array_merge(array (
      'verifypeer' => false,
      'verifyhost' => false,
      'stream_context' => NULL,
      'trace' => 1,
      'exceptions' => 1,
      'features' => 1,
    ), $options);
      if (!$wsdl) {
        $wsdl = 'https://webservice-dev-int.fatturagratis.net:443/index.php?wsdl&module=lipe';
      }
      parent::__construct($wsdl, $options);
    }

    /**
     * *
     *
     * @param get $parameters
     * @return getResponse
     */
    public function get(get $parameters)
    {
      return $this->__soapCall('get', array($parameters));
    }

    /**
     * *
     *
     * @param send $parameters
     * @return sendResponse
     */
    public function send(send $parameters)
    {
      return $this->__soapCall('send', array($parameters));
    }

    /**
     * *
     *
     * @param status $parameters
     * @return statusResponse
     */
    public function status(status $parameters)
    {
      return $this->__soapCall('status', array($parameters));
    }

    /**
     * *
     *
     * @param isEditable $parameters
     * @return isEditableResponse
     */
    public function isEditable(isEditable $parameters)
    {
      return $this->__soapCall('isEditable', array($parameters));
    }

    /**
     * *
     *
     * @param save $parameters
     * @return saveResponse
     */
    public function save(save $parameters)
    {
      return $this->__soapCall('save', array($parameters));
    }

}
