<?php

namespace PSA\WS\ParcoAuto;

class ParcoAutoService extends \SoapClient
{

    /**
     * @var array $classmap The defined classes
     */
    private static $classmap = array (
      'Contatto' => 'PSA\\WS\\ParcoAuto\\Contatto',
      'Indirizzo' => 'PSA\\WS\\ParcoAuto\\Indirizzo',
      'Autovettura' => 'PSA\\WS\\ParcoAuto\\Autovettura',
      'nuova_autovettura' => 'PSA\\WS\\ParcoAuto\\nuova_autovettura',
      'nuova_autovetturaResponse' => 'PSA\\WS\\ParcoAuto\\nuova_autovetturaResponse',
      'modifica_autovettura' => 'PSA\\WS\\ParcoAuto\\modifica_autovettura',
      'modifica_autovetturaResponse' => 'PSA\\WS\\ParcoAuto\\modifica_autovetturaResponse',
      'elimina_autovettura' => 'PSA\\WS\\ParcoAuto\\elimina_autovettura',
      'elimina_autovetturaResponse' => 'PSA\\WS\\ParcoAuto\\elimina_autovetturaResponse',
      'lista_autovetture' => 'PSA\\WS\\ParcoAuto\\lista_autovetture',
      'lista_autovettureResponse' => 'PSA\\WS\\ParcoAuto\\lista_autovettureResponse',
      'get_autovettura' => 'PSA\\WS\\ParcoAuto\\get_autovettura',
      'get_autovetturaResponse' => 'PSA\\WS\\ParcoAuto\\get_autovetturaResponse',
    );

    /**
     * @param array $options A array of config values
     * @param string $wsdl The wsdl file to use
     */
    public function __construct(array $options = array(), $wsdl = null)
    {
      foreach (self::$classmap as $key => $value) {
        if (!isset($options['classmap'][$key])) {
          $options['classmap'][$key] = $value;
        }
      }
      $options = array_merge(array (
      'verifypeer' => false,
      'verifyhost' => false,
      'stream_context' => NULL,
      'trace' => 1,
      'exceptions' => 1,
      'features' => 1,
    ), $options);
      if (!$wsdl) {
        $wsdl = 'https://webservice-dev-int.fatturagratis.net:443/index.php?wsdl&module=parcoauto';
      }
      parent::__construct($wsdl, $options);
    }

    /**
     * *
     *
     * @param nuova_autovettura $parameters
     * @return nuova_autovetturaResponse
     */
    public function nuova_autovettura(nuova_autovettura $parameters)
    {
      return $this->__soapCall('nuova_autovettura', array($parameters));
    }

    /**
     * *
     *
     * @param modifica_autovettura $parameters
     * @return modifica_autovetturaResponse
     */
    public function modifica_autovettura(modifica_autovettura $parameters)
    {
      return $this->__soapCall('modifica_autovettura', array($parameters));
    }

    /**
     * *
     *
     * @param elimina_autovettura $parameters
     * @return elimina_autovetturaResponse
     */
    public function elimina_autovettura(elimina_autovettura $parameters)
    {
      return $this->__soapCall('elimina_autovettura', array($parameters));
    }

    /**
     * *
     *
     * @param lista_autovetture $parameters
     * @return lista_autovettureResponse
     */
    public function lista_autovetture(lista_autovetture $parameters)
    {
      return $this->__soapCall('lista_autovetture', array($parameters));
    }

    /**
     * *
     *
     * @param get_autovettura $parameters
     * @return get_autovetturaResponse
     */
    public function get_autovettura(get_autovettura $parameters)
    {
      return $this->__soapCall('get_autovettura', array($parameters));
    }

}
