<?php

namespace PSA\WS\Record;

class LIPE
{

    /**
     * @var string $uuid
     */
    protected $uuid = null;

    /**
     * @var string $uuid_utente
     */
    protected $uuid_utente = null;

    /**
     * @var int $anno
     */
    protected $anno = null;

    /**
     * @var int $mese
     */
    protected $mese = null;

    /**
     * @var int $trimestre
     */
    protected $trimestre = null;

    /**
     * @var float $totale_op_attive
     */
    protected $totale_op_attive = null;

    /**
     * @var float $totale_op_passive
     */
    protected $totale_op_passive = null;

    /**
     * @var float $iva_esigibile
     */
    protected $iva_esigibile = null;

    /**
     * @var float $iva_detratta
     */
    protected $iva_detratta = null;

    /**
     * @var float $iva_dovuta
     */
    protected $iva_dovuta = null;

    /**
     * @var float $iva_credito
     */
    protected $iva_credito = null;

    /**
     * @var float $debito_precedente
     */
    protected $debito_precedente = null;

    /**
     * @var float $credito_periodo_precedente
     */
    protected $credito_periodo_precedente = null;

    /**
     * @var float $credito_anno_precedente
     */
    protected $credito_anno_precedente = null;

    /**
     * @var float $crediti_imposta
     */
    protected $crediti_imposta = null;

    /**
     * @var float $interessi_dovuti
     */
    protected $interessi_dovuti = null;

    /**
     * @var float $acconto
     */
    protected $acconto = null;

    /**
     * @var float $importo_da_versare
     */
    protected $importo_da_versare = null;

    /**
     * @var float $importo_a_credito
     */
    protected $importo_a_credito = null;

    
    public function __construct()
    {
    
    }

    /**
     * @return string
     */
    public function getUuid()
    {
      return $this->uuid;
    }

    /**
     * @param string $uuid
     * @return \PSA\WS\Record\LIPE
     */
    public function setUuid($uuid)
    {
      $this->uuid = $uuid;
      return $this;
    }

    /**
     * @return string
     */
    public function getUuid_utente()
    {
      return $this->uuid_utente;
    }

    /**
     * @param string $uuid_utente
     * @return \PSA\WS\Record\LIPE
     */
    public function setUuid_utente($uuid_utente)
    {
      $this->uuid_utente = $uuid_utente;
      return $this;
    }

    /**
     * @return int
     */
    public function getAnno()
    {
      return $this->anno;
    }

    /**
     * @param int $anno
     * @return \PSA\WS\Record\LIPE
     */
    public function setAnno($anno)
    {
      $this->anno = $anno;
      return $this;
    }

    /**
     * @return int
     */
    public function getMese()
    {
      return $this->mese;
    }

    /**
     * @param int $mese
     * @return \PSA\WS\Record\LIPE
     */
    public function setMese($mese)
    {
      $this->mese = $mese;
      return $this;
    }

    /**
     * @return int
     */
    public function getTrimestre()
    {
      return $this->trimestre;
    }

    /**
     * @param int $trimestre
     * @return \PSA\WS\Record\LIPE
     */
    public function setTrimestre($trimestre)
    {
      $this->trimestre = $trimestre;
      return $this;
    }

    /**
     * @return float
     */
    public function getTotale_op_attive()
    {
      return $this->totale_op_attive;
    }

    /**
     * @param float $totale_op_attive
     * @return \PSA\WS\Record\LIPE
     */
    public function setTotale_op_attive($totale_op_attive)
    {
      $this->totale_op_attive = $totale_op_attive;
      return $this;
    }

    /**
     * @return float
     */
    public function getTotale_op_passive()
    {
      return $this->totale_op_passive;
    }

    /**
     * @param float $totale_op_passive
     * @return \PSA\WS\Record\LIPE
     */
    public function setTotale_op_passive($totale_op_passive)
    {
      $this->totale_op_passive = $totale_op_passive;
      return $this;
    }

    /**
     * @return float
     */
    public function getIva_esigibile()
    {
      return $this->iva_esigibile;
    }

    /**
     * @param float $iva_esigibile
     * @return \PSA\WS\Record\LIPE
     */
    public function setIva_esigibile($iva_esigibile)
    {
      $this->iva_esigibile = $iva_esigibile;
      return $this;
    }

    /**
     * @return float
     */
    public function getIva_detratta()
    {
      return $this->iva_detratta;
    }

    /**
     * @param float $iva_detratta
     * @return \PSA\WS\Record\LIPE
     */
    public function setIva_detratta($iva_detratta)
    {
      $this->iva_detratta = $iva_detratta;
      return $this;
    }

    /**
     * @return float
     */
    public function getIva_dovuta()
    {
      return $this->iva_dovuta;
    }

    /**
     * @param float $iva_dovuta
     * @return \PSA\WS\Record\LIPE
     */
    public function setIva_dovuta($iva_dovuta)
    {
      $this->iva_dovuta = $iva_dovuta;
      return $this;
    }

    /**
     * @return float
     */
    public function getIva_credito()
    {
      return $this->iva_credito;
    }

    /**
     * @param float $iva_credito
     * @return \PSA\WS\Record\LIPE
     */
    public function setIva_credito($iva_credito)
    {
      $this->iva_credito = $iva_credito;
      return $this;
    }

    /**
     * @return float
     */
    public function getDebito_precedente()
    {
      return $this->debito_precedente;
    }

    /**
     * @param float $debito_precedente
     * @return \PSA\WS\Record\LIPE
     */
    public function setDebito_precedente($debito_precedente)
    {
      $this->debito_precedente = $debito_precedente;
      return $this;
    }

    /**
     * @return float
     */
    public function getCredito_periodo_precedente()
    {
      return $this->credito_periodo_precedente;
    }

    /**
     * @param float $credito_periodo_precedente
     * @return \PSA\WS\Record\LIPE
     */
    public function setCredito_periodo_precedente($credito_periodo_precedente)
    {
      $this->credito_periodo_precedente = $credito_periodo_precedente;
      return $this;
    }

    /**
     * @return float
     */
    public function getCredito_anno_precedente()
    {
      return $this->credito_anno_precedente;
    }

    /**
     * @param float $credito_anno_precedente
     * @return \PSA\WS\Record\LIPE
     */
    public function setCredito_anno_precedente($credito_anno_precedente)
    {
      $this->credito_anno_precedente = $credito_anno_precedente;
      return $this;
    }

    /**
     * @return float
     */
    public function getCrediti_imposta()
    {
      return $this->crediti_imposta;
    }

    /**
     * @param float $crediti_imposta
     * @return \PSA\WS\Record\LIPE
     */
    public function setCrediti_imposta($crediti_imposta)
    {
      $this->crediti_imposta = $crediti_imposta;
      return $this;
    }

    /**
     * @return float
     */
    public function getInteressi_dovuti()
    {
      return $this->interessi_dovuti;
    }

    /**
     * @param float $interessi_dovuti
     * @return \PSA\WS\Record\LIPE
     */
    public function setInteressi_dovuti($interessi_dovuti)
    {
      $this->interessi_dovuti = $interessi_dovuti;
      return $this;
    }

    /**
     * @return float
     */
    public function getAcconto()
    {
      return $this->acconto;
    }

    /**
     * @param float $acconto
     * @return \PSA\WS\Record\LIPE
     */
    public function setAcconto($acconto)
    {
      $this->acconto = $acconto;
      return $this;
    }

    /**
     * @return float
     */
    public function getImporto_da_versare()
    {
      return $this->importo_da_versare;
    }

    /**
     * @param float $importo_da_versare
     * @return \PSA\WS\Record\LIPE
     */
    public function setImporto_da_versare($importo_da_versare)
    {
      $this->importo_da_versare = $importo_da_versare;
      return $this;
    }

    /**
     * @return float
     */
    public function getImporto_a_credito()
    {
      return $this->importo_a_credito;
    }

    /**
     * @param float $importo_a_credito
     * @return \PSA\WS\Record\LIPE
     */
    public function setImporto_a_credito($importo_a_credito)
    {
      $this->importo_a_credito = $importo_a_credito;
      return $this;
    }

}
