<?php

namespace PSA\WS\Record;

class RecordService extends \SoapClient
{

    /**
     * @var array $classmap The defined classes
     */
    private static $classmap = array (
      'lock' => 'PSA\\WS\\Record\\lock',
      'lockResponse' => 'PSA\\WS\\Record\\lockResponse',
      'unlock' => 'PSA\\WS\\Record\\unlock',
      'unlockResponse' => 'PSA\\WS\\Record\\unlockResponse',
      'status' => 'PSA\\WS\\Record\\status',
      'statusResponse' => 'PSA\\WS\\Record\\statusResponse',
      'LIPE' => 'PSA\\WS\\Record\\LIPE',
      'chown' => 'PSA\\WS\\Record\\chown',
      'chownResponse' => 'PSA\\WS\\Record\\chownResponse',
    );

    /**
     * @param array $options A array of config values
     * @param string $wsdl The wsdl file to use
     */
    public function __construct(array $options = array(), $wsdl = null)
    {
      foreach (self::$classmap as $key => $value) {
        if (!isset($options['classmap'][$key])) {
          $options['classmap'][$key] = $value;
        }
      }
      $options = array_merge(array (
      'verifypeer' => false,
      'verifyhost' => false,
      'stream_context' => NULL,
      'trace' => 1,
      'exceptions' => 1,
      'features' => 1,
    ), $options);
      if (!$wsdl) {
        $wsdl = 'https://webservice-dev-int.fatturagratis.net:443/index.php?wsdl&module=record';
      }
      parent::__construct($wsdl, $options);
    }

    /**
     * *
     *
     * @param lock $parameters
     * @return lockResponse
     */
    public function lock(lock $parameters)
    {
      return $this->__soapCall('lock', array($parameters));
    }

    /**
     * *
     *
     * @param unlock $parameters
     * @return unlockResponse
     */
    public function unlock(unlock $parameters)
    {
      return $this->__soapCall('unlock', array($parameters));
    }

    /**
     * *
     *
     * @param status $parameters
     * @return statusResponse
     */
    public function status(status $parameters)
    {
      return $this->__soapCall('status', array($parameters));
    }

    /**
     * *
     *
     * @param chown $parameters
     * @return chownResponse
     */
    public function chown(chown $parameters)
    {
      return $this->__soapCall('chown', array($parameters));
    }

}
