<?php

namespace PSA\WS\Rubrica;

class RubricaService extends \SoapClient
{

    /**
     * @var array $classmap The defined classes
     */
    private static $classmap = array (
      'Contatto' => 'PSA\\WS\\Rubrica\\Contatto',
      'registraContatto' => 'PSA\\WS\\Rubrica\\registraContatto',
      'registraContattoResponse' => 'PSA\\WS\\Rubrica\\registraContattoResponse',
    );

    /**
     * @param array $options A array of config values
     * @param string $wsdl The wsdl file to use
     */
    public function __construct(array $options = array(), $wsdl = null)
    {
      foreach (self::$classmap as $key => $value) {
        if (!isset($options['classmap'][$key])) {
          $options['classmap'][$key] = $value;
        }
      }
      $options = array_merge(array (
      'verifypeer' => false,
      'verifyhost' => false,
      'stream_context' => NULL,
      'trace' => 1,
      'exceptions' => 1,
      'features' => 1,
    ), $options);
      if (!$wsdl) {
        $wsdl = 'https://webservice-dev-int.fatturagratis.net:443/index.php?wsdl&module=rubrica';
      }
      parent::__construct($wsdl, $options);
    }

    /**
     * *
     *
     * @param registraContatto $parameters
     * @return registraContattoResponse
     */
    public function registraContatto(registraContatto $parameters)
    {
      return $this->__soapCall('registraContatto', array($parameters));
    }

}
