<?php

namespace PSA\WS\Sezionali;

class SezionaliService extends \SoapClient
{

    /**
     * @var array $classmap The defined classes
     */
    private static $classmap = array (
      'nuovoSezionale' => 'PSA\\WS\\Sezionali\\nuovoSezionale',
      'nuovoSezionaleResponse' => 'PSA\\WS\\Sezionali\\nuovoSezionaleResponse',
      'listaSezionali' => 'PSA\\WS\\Sezionali\\listaSezionali',
      'listaSezionaliResponse' => 'PSA\\WS\\Sezionali\\listaSezionaliResponse',
      'eliminaSezionale' => 'PSA\\WS\\Sezionali\\eliminaSezionale',
      'eliminaSezionaleResponse' => 'PSA\\WS\\Sezionali\\eliminaSezionaleResponse',
      'modificaSezionale' => 'PSA\\WS\\Sezionali\\modificaSezionale',
      'modificaSezionaleResponse' => 'PSA\\WS\\Sezionali\\modificaSezionaleResponse',
    );

    /**
     * @param array $options A array of config values
     * @param string $wsdl The wsdl file to use
     */
    public function __construct(array $options = array(), $wsdl = null)
    {
      foreach (self::$classmap as $key => $value) {
        if (!isset($options['classmap'][$key])) {
          $options['classmap'][$key] = $value;
        }
      }
      $options = array_merge(array (
      'verifypeer' => false,
      'verifyhost' => false,
      'stream_context' => NULL,
      'trace' => 1,
      'exceptions' => 1,
      'features' => 1,
    ), $options);
      if (!$wsdl) {
        $wsdl = 'https://webservice-dev-int.fatturagratis.net:443/index.php?wsdl&module=sezionali';
      }
      parent::__construct($wsdl, $options);
    }

    /**
     * *
     *
     * @param nuovoSezionale $parameters
     * @return nuovoSezionaleResponse
     */
    public function nuovoSezionale(nuovoSezionale $parameters)
    {
      return $this->__soapCall('nuovoSezionale', array($parameters));
    }

    /**
     * *
     *
     * @param listaSezionali $parameters
     * @return listaSezionaliResponse
     */
    public function listaSezionali(listaSezionali $parameters)
    {
      return $this->__soapCall('listaSezionali', array($parameters));
    }

    /**
     * *
     *
     * @param eliminaSezionale $parameters
     * @return eliminaSezionaleResponse
     */
    public function eliminaSezionale(eliminaSezionale $parameters)
    {
      return $this->__soapCall('eliminaSezionale', array($parameters));
    }

    /**
     * *
     *
     * @param modificaSezionale $parameters
     * @return modificaSezionaleResponse
     */
    public function modificaSezionale(modificaSezionale $parameters)
    {
      return $this->__soapCall('modificaSezionale', array($parameters));
    }

}
