<?php

namespace PSA\WS\System;

class Config
{

    /**
     * @var string $hostname
     */
    protected $hostname = null;

    /**
     * @var ConfigHotspot $hostspot
     */
    protected $hostspot = null;

    /**
     * @var ConfigNetworkConnection $lan_config
     */
    protected $lan_config = null;

    /**
     * @var ConfigNetworkConnection $wan_config
     */
    protected $wan_config = null;

    /**
     * @var ConfigNetwork $networking
     */
    protected $networking = null;

    
    public function __construct()
    {
    
    }

    /**
     * @return string
     */
    public function getHostname()
    {
      return $this->hostname;
    }

    /**
     * @param string $hostname
     * @return \PSA\WS\System\Config
     */
    public function setHostname($hostname)
    {
      $this->hostname = $hostname;
      return $this;
    }

    /**
     * @return ConfigHotspot
     */
    public function getHostspot()
    {
      return $this->hostspot;
    }

    /**
     * @param ConfigHotspot $hostspot
     * @return \PSA\WS\System\Config
     */
    public function setHostspot($hostspot)
    {
      $this->hostspot = $hostspot;
      return $this;
    }

    /**
     * @return ConfigNetworkConnection
     */
    public function getLan_config()
    {
      return $this->lan_config;
    }

    /**
     * @param ConfigNetworkConnection $lan_config
     * @return \PSA\WS\System\Config
     */
    public function setLan_config($lan_config)
    {
      $this->lan_config = $lan_config;
      return $this;
    }

    /**
     * @return ConfigNetworkConnection
     */
    public function getWan_config()
    {
      return $this->wan_config;
    }

    /**
     * @param ConfigNetworkConnection $wan_config
     * @return \PSA\WS\System\Config
     */
    public function setWan_config($wan_config)
    {
      $this->wan_config = $wan_config;
      return $this;
    }

    /**
     * @return ConfigNetwork
     */
    public function getNetworking()
    {
      return $this->networking;
    }

    /**
     * @param ConfigNetwork $networking
     * @return \PSA\WS\System\Config
     */
    public function setNetworking($networking)
    {
      $this->networking = $networking;
      return $this;
    }

}
