<?php

namespace PSA\WS\System;

class ConfigHotspot
{

    /**
     * @var boolean $enable
     */
    protected $enable = null;

    /**
     * @var string $ssid
     */
    protected $ssid = null;

    /**
     * @var string $password
     */
    protected $password = null;

    /**
     * @param boolean $enable
     */
    public function __construct($enable)
    {
      $this->enable = $enable;
    }

    /**
     * @return boolean
     */
    public function getEnable()
    {
      return $this->enable;
    }

    /**
     * @param boolean $enable
     * @return \PSA\WS\System\ConfigHotspot
     */
    public function setEnable($enable)
    {
      $this->enable = $enable;
      return $this;
    }

    /**
     * @return string
     */
    public function getSsid()
    {
      return $this->ssid;
    }

    /**
     * @param string $ssid
     * @return \PSA\WS\System\ConfigHotspot
     */
    public function setSsid($ssid)
    {
      $this->ssid = $ssid;
      return $this;
    }

    /**
     * @return string
     */
    public function getPassword()
    {
      return $this->password;
    }

    /**
     * @param string $password
     * @return \PSA\WS\System\ConfigHotspot
     */
    public function setPassword($password)
    {
      $this->password = $password;
      return $this;
    }

}
