<?php

namespace PSA\WS\System;

class SystemService extends \SoapClient
{

    /**
     * @var array $classmap The defined classes
     */
    private static $classmap = array (
      'getWifiConnections' => 'PSA\\WS\\System\\getWifiConnections',
      'getWifiConnectionsResponse' => 'PSA\\WS\\System\\getWifiConnectionsResponse',
      'getActiveWifiConnection' => 'PSA\\WS\\System\\getActiveWifiConnection',
      'getActiveWifiConnectionResponse' => 'PSA\\WS\\System\\getActiveWifiConnectionResponse',
      'getWifiStatus' => 'PSA\\WS\\System\\getWifiStatus',
      'getWifiStatusResponse' => 'PSA\\WS\\System\\getWifiStatusResponse',
      'enableWifi' => 'PSA\\WS\\System\\enableWifi',
      'enableWifiResponse' => 'PSA\\WS\\System\\enableWifiResponse',
      'disableWifi' => 'PSA\\WS\\System\\disableWifi',
      'disableWifiResponse' => 'PSA\\WS\\System\\disableWifiResponse',
      'enableHostSpotWifi' => 'PSA\\WS\\System\\enableHostSpotWifi',
      'enableHostSpotWifiResponse' => 'PSA\\WS\\System\\enableHostSpotWifiResponse',
      'disableHostSpotWifi' => 'PSA\\WS\\System\\disableHostSpotWifi',
      'disableHostSpotWifiResponse' => 'PSA\\WS\\System\\disableHostSpotWifiResponse',
      'statusHostSpotWifi' => 'PSA\\WS\\System\\statusHostSpotWifi',
      'statusHostSpotWifiResponse' => 'PSA\\WS\\System\\statusHostSpotWifiResponse',
      'reboot' => 'PSA\\WS\\System\\reboot',
      'rebootResponse' => 'PSA\\WS\\System\\rebootResponse',
      'reloadConfig' => 'PSA\\WS\\System\\reloadConfig',
      'reloadConfigResponse' => 'PSA\\WS\\System\\reloadConfigResponse',
      'connectWifi' => 'PSA\\WS\\System\\connectWifi',
      'connectWifiResponse' => 'PSA\\WS\\System\\connectWifiResponse',
      'ConfigHotspot' => 'PSA\\WS\\System\\ConfigHotspot',
      'ConfigNetworkConnection' => 'PSA\\WS\\System\\ConfigNetworkConnection',
      'ConfigNetwork' => 'PSA\\WS\\System\\ConfigNetwork',
      'Config' => 'PSA\\WS\\System\\Config',
      'uploadConfig' => 'PSA\\WS\\System\\uploadConfig',
      'uploadConfigResponse' => 'PSA\\WS\\System\\uploadConfigResponse',
      'getStatusIF' => 'PSA\\WS\\System\\getStatusIF',
      'getStatusIFResponse' => 'PSA\\WS\\System\\getStatusIFResponse',
      'getIPAddress' => 'PSA\\WS\\System\\getIPAddress',
      'getIPAddressResponse' => 'PSA\\WS\\System\\getIPAddressResponse',
      'getRoutes' => 'PSA\\WS\\System\\getRoutes',
      'getRoutesResponse' => 'PSA\\WS\\System\\getRoutesResponse',
      'getTemperatures' => 'PSA\\WS\\System\\getTemperatures',
      'getTemperaturesResponse' => 'PSA\\WS\\System\\getTemperaturesResponse',
      'getDisks' => 'PSA\\WS\\System\\getDisks',
      'getDisksResponse' => 'PSA\\WS\\System\\getDisksResponse',
    );

    /**
     * @param array $options A array of config values
     * @param string $wsdl The wsdl file to use
     */
    public function __construct(array $options = array(), $wsdl = null)
    {
      foreach (self::$classmap as $key => $value) {
        if (!isset($options['classmap'][$key])) {
          $options['classmap'][$key] = $value;
        }
      }
      $options = array_merge(array (
      'verifypeer' => false,
      'verifyhost' => false,
      'stream_context' => NULL,
      'trace' => 1,
      'exceptions' => 1,
      'features' => 1,
    ), $options);
      if (!$wsdl) {
        $wsdl = 'https://webservice-dev-int.fatturagratis.net:443/index.php?wsdl&module=system';
      }
      parent::__construct($wsdl, $options);
    }

    /**
     * *
     *
     * @param getWifiConnections $parameters
     * @return getWifiConnectionsResponse
     */
    public function getWifiConnections(getWifiConnections $parameters)
    {
      return $this->__soapCall('getWifiConnections', array($parameters));
    }

    /**
     * *
     *
     * @param getActiveWifiConnection $parameters
     * @return getActiveWifiConnectionResponse
     */
    public function getActiveWifiConnection(getActiveWifiConnection $parameters)
    {
      return $this->__soapCall('getActiveWifiConnection', array($parameters));
    }

    /**
     * *
     *
     * @param getWifiStatus $parameters
     * @return getWifiStatusResponse
     */
    public function getWifiStatus(getWifiStatus $parameters)
    {
      return $this->__soapCall('getWifiStatus', array($parameters));
    }

    /**
     * *
     *
     * @param enableWifi $parameters
     * @return enableWifiResponse
     */
    public function enableWifi(enableWifi $parameters)
    {
      return $this->__soapCall('enableWifi', array($parameters));
    }

    /**
     * *
     *
     * @param disableWifi $parameters
     * @return disableWifiResponse
     */
    public function disableWifi(disableWifi $parameters)
    {
      return $this->__soapCall('disableWifi', array($parameters));
    }

    /**
     * *
     *
     * @param enableHostSpotWifi $parameters
     * @return enableHostSpotWifiResponse
     */
    public function enableHostSpotWifi(enableHostSpotWifi $parameters)
    {
      return $this->__soapCall('enableHostSpotWifi', array($parameters));
    }

    /**
     * *
     *
     * @param disableHostSpotWifi $parameters
     * @return disableHostSpotWifiResponse
     */
    public function disableHostSpotWifi(disableHostSpotWifi $parameters)
    {
      return $this->__soapCall('disableHostSpotWifi', array($parameters));
    }

    /**
     * *
     *
     * @param statusHostSpotWifi $parameters
     * @return statusHostSpotWifiResponse
     */
    public function statusHostSpotWifi(statusHostSpotWifi $parameters)
    {
      return $this->__soapCall('statusHostSpotWifi', array($parameters));
    }

    /**
     * *
     *
     * @param reboot $parameters
     * @return rebootResponse
     */
    public function reboot(reboot $parameters)
    {
      return $this->__soapCall('reboot', array($parameters));
    }

    /**
     * *
     *
     * @param reloadConfig $parameters
     * @return reloadConfigResponse
     */
    public function reloadConfig(reloadConfig $parameters)
    {
      return $this->__soapCall('reloadConfig', array($parameters));
    }

    /**
     * *
     *
     * @param connectWifi $parameters
     * @return connectWifiResponse
     */
    public function connectWifi(connectWifi $parameters)
    {
      return $this->__soapCall('connectWifi', array($parameters));
    }

    /**
     * uploadConfig
     *
     * @param uploadConfig $parameters
     * @return uploadConfigResponse
     */
    public function uploadConfig(uploadConfig $parameters)
    {
      return $this->__soapCall('uploadConfig', array($parameters));
    }

    /**
     * *
     *
     * @param getStatusIF $parameters
     * @return getStatusIFResponse
     */
    public function getStatusIF(getStatusIF $parameters)
    {
      return $this->__soapCall('getStatusIF', array($parameters));
    }

    /**
     * *
     *
     * @param getIPAddress $parameters
     * @return getIPAddressResponse
     */
    public function getIPAddress(getIPAddress $parameters)
    {
      return $this->__soapCall('getIPAddress', array($parameters));
    }

    /**
     * *
     *
     * @param getRoutes $parameters
     * @return getRoutesResponse
     */
    public function getRoutes(getRoutes $parameters)
    {
      return $this->__soapCall('getRoutes', array($parameters));
    }

    /**
     * *
     *
     * @param getTemperatures $parameters
     * @return getTemperaturesResponse
     */
    public function getTemperatures(getTemperatures $parameters)
    {
      return $this->__soapCall('getTemperatures', array($parameters));
    }

    /**
     * *
     *
     * @param getDisks $parameters
     * @return getDisksResponse
     */
    public function getDisks(getDisks $parameters)
    {
      return $this->__soapCall('getDisks', array($parameters));
    }

}
