<?php

namespace PSA\WS\Utility;

class UtilityService extends \SoapClient
{

    /**
     * @var array $classmap The defined classes
     */
    private static $classmap = array (
      'verificaIBAN' => 'PSA\\WS\\Utility\\verificaIBAN',
      'verificaIBANResponse' => 'PSA\\WS\\Utility\\verificaIBANResponse',
      'verificaPIVA' => 'PSA\\WS\\Utility\\verificaPIVA',
      'verificaPIVAResponse' => 'PSA\\WS\\Utility\\verificaPIVAResponse',
      'verificaCF_PIVA' => 'PSA\\WS\\Utility\\verificaCF_PIVA',
      'verificaCF_PIVAResponse' => 'PSA\\WS\\Utility\\verificaCF_PIVAResponse',
      'verificaCF' => 'PSA\\WS\\Utility\\verificaCF',
      'verificaCFResponse' => 'PSA\\WS\\Utility\\verificaCFResponse',
      'calcolaCF' => 'PSA\\WS\\Utility\\calcolaCF',
      'calcolaCFResponse' => 'PSA\\WS\\Utility\\calcolaCFResponse',
      'verificaDatiCF' => 'PSA\\WS\\Utility\\verificaDatiCF',
      'verificaDatiCFResponse' => 'PSA\\WS\\Utility\\verificaDatiCFResponse',
      'verificaVIES' => 'PSA\\WS\\Utility\\verificaVIES',
      'verificaVIESResponse' => 'PSA\\WS\\Utility\\verificaVIESResponse',
      'cambioValuta' => 'PSA\\WS\\Utility\\cambioValuta',
      'cambioValutaResponse' => 'PSA\\WS\\Utility\\cambioValutaResponse',
      'elencoNazioniEValute' => 'PSA\\WS\\Utility\\elencoNazioniEValute',
      'elencoNazioniEValuteResponse' => 'PSA\\WS\\Utility\\elencoNazioniEValuteResponse',
      'normalizzaIndirizzo' => 'PSA\\WS\\Utility\\normalizzaIndirizzo',
      'normalizzaIndirizzoResponse' => 'PSA\\WS\\Utility\\normalizzaIndirizzoResponse',
    );

    /**
     * @param array $options A array of config values
     * @param string $wsdl The wsdl file to use
     */
    public function __construct(array $options = array(), $wsdl = null)
    {
      foreach (self::$classmap as $key => $value) {
        if (!isset($options['classmap'][$key])) {
          $options['classmap'][$key] = $value;
        }
      }
      $options = array_merge(array (
      'verifypeer' => false,
      'verifyhost' => false,
      'stream_context' => NULL,
      'trace' => 1,
      'exceptions' => 1,
      'features' => 1,
    ), $options);
      if (!$wsdl) {
        $wsdl = 'https://webservice-dev-int.fatturagratis.net:443/index.php?wsdl&module=utility';
      }
      parent::__construct($wsdl, $options);
    }

    /**
     * *
     *
     * @param verificaIBAN $parameters
     * @return verificaIBANResponse
     */
    public function verificaIBAN(verificaIBAN $parameters)
    {
      return $this->__soapCall('verificaIBAN', array($parameters));
    }

    /**
     * *
     *
     * @param verificaPIVA $parameters
     * @return verificaPIVAResponse
     */
    public function verificaPIVA(verificaPIVA $parameters)
    {
      return $this->__soapCall('verificaPIVA', array($parameters));
    }

    /**
     * *
     *
     * @param verificaCF_PIVA $parameters
     * @return verificaCF_PIVAResponse
     */
    public function verificaCF_PIVA(verificaCF_PIVA $parameters)
    {
      return $this->__soapCall('verificaCF_PIVA', array($parameters));
    }

    /**
     * *
     *
     * @param verificaCF $parameters
     * @return verificaCFResponse
     */
    public function verificaCF(verificaCF $parameters)
    {
      return $this->__soapCall('verificaCF', array($parameters));
    }

    /**
     * *
     *
     * @param calcolaCF $parameters
     * @return calcolaCFResponse
     */
    public function calcolaCF(calcolaCF $parameters)
    {
      return $this->__soapCall('calcolaCF', array($parameters));
    }

    /**
     * *
     *
     * @param verificaDatiCF $parameters
     * @return verificaDatiCFResponse
     */
    public function verificaDatiCF(verificaDatiCF $parameters)
    {
      return $this->__soapCall('verificaDatiCF', array($parameters));
    }

    /**
     * * C'è questa libreria che sembra essere una figata.... https://github.com/DragonBe/vies*
     *
     * @param verificaVIES $parameters
     * @return verificaVIESResponse
     */
    public function verificaVIES(verificaVIES $parameters)
    {
      return $this->__soapCall('verificaVIES', array($parameters));
    }

    /**
     * *
     *
     * @param cambioValuta $parameters
     * @return cambioValutaResponse
     */
    public function cambioValuta(cambioValuta $parameters)
    {
      return $this->__soapCall('cambioValuta', array($parameters));
    }

    /**
     * *
     *
     * @param elencoNazioniEValute $parameters
     * @return elencoNazioniEValuteResponse
     */
    public function elencoNazioniEValute(elencoNazioniEValute $parameters)
    {
      return $this->__soapCall('elencoNazioniEValute', array($parameters));
    }

    /**
     * *
     *
     * @param normalizzaIndirizzo $parameters
     * @return normalizzaIndirizzoResponse
     */
    public function normalizzaIndirizzo(normalizzaIndirizzo $parameters)
    {
      return $this->__soapCall('normalizzaIndirizzo', array($parameters));
    }

}
