<?php

namespace PSA\WS\Utility;

class verificaDatiCF
{

    /**
     * @var string $codice_fiscale
     */
    protected $codice_fiscale = null;

    /**
     * @var anyType $nome
     */
    protected $nome = null;

    /**
     * @var anyType $cognome
     */
    protected $cognome = null;

    /**
     * @var anyType $data_nascita
     */
    protected $data_nascita = null;

    /**
     * @var anyType $luovo_nascita
     */
    protected $luovo_nascita = null;

    /**
     * @var anyType $sesso
     */
    protected $sesso = null;

    /**
     * @param string $codice_fiscale
     * @param anyType $nome
     * @param anyType $cognome
     * @param anyType $data_nascita
     * @param anyType $luovo_nascita
     * @param anyType $sesso
     */
    public function __construct($codice_fiscale, $nome, $cognome, $data_nascita, $luovo_nascita, $sesso)
    {
      $this->codice_fiscale = $codice_fiscale;
      $this->nome = $nome;
      $this->cognome = $cognome;
      $this->data_nascita = $data_nascita;
      $this->luovo_nascita = $luovo_nascita;
      $this->sesso = $sesso;
    }

    /**
     * @return string
     */
    public function getCodice_fiscale()
    {
      return $this->codice_fiscale;
    }

    /**
     * @param string $codice_fiscale
     * @return \PSA\WS\Utility\verificaDatiCF
     */
    public function setCodice_fiscale($codice_fiscale)
    {
      $this->codice_fiscale = $codice_fiscale;
      return $this;
    }

    /**
     * @return anyType
     */
    public function getNome()
    {
      return $this->nome;
    }

    /**
     * @param anyType $nome
     * @return \PSA\WS\Utility\verificaDatiCF
     */
    public function setNome($nome)
    {
      $this->nome = $nome;
      return $this;
    }

    /**
     * @return anyType
     */
    public function getCognome()
    {
      return $this->cognome;
    }

    /**
     * @param anyType $cognome
     * @return \PSA\WS\Utility\verificaDatiCF
     */
    public function setCognome($cognome)
    {
      $this->cognome = $cognome;
      return $this;
    }

    /**
     * @return anyType
     */
    public function getData_nascita()
    {
      return $this->data_nascita;
    }

    /**
     * @param anyType $data_nascita
     * @return \PSA\WS\Utility\verificaDatiCF
     */
    public function setData_nascita($data_nascita)
    {
      $this->data_nascita = $data_nascita;
      return $this;
    }

    /**
     * @return anyType
     */
    public function getLuovo_nascita()
    {
      return $this->luovo_nascita;
    }

    /**
     * @param anyType $luovo_nascita
     * @return \PSA\WS\Utility\verificaDatiCF
     */
    public function setLuovo_nascita($luovo_nascita)
    {
      $this->luovo_nascita = $luovo_nascita;
      return $this;
    }

    /**
     * @return anyType
     */
    public function getSesso()
    {
      return $this->sesso;
    }

    /**
     * @param anyType $sesso
     * @return \PSA\WS\Utility\verificaDatiCF
     */
    public function setSesso($sesso)
    {
      $this->sesso = $sesso;
      return $this;
    }

}
